Last Comment Bug 493389 - (gdata-tasks) Provider for Google Calendar cannot sync tasks.
(gdata-tasks)
: Provider for Google Calendar cannot sync tasks.
Status: RESOLVED FIXED
[gs][download link in comment 173]
:
Product: Calendar
Classification: Client Software
Component: Provider: GData (show other bugs)
: Trunk
: All All
: P1 enhancement with 246 votes (vote)
: 3.8
Assigned To: Philipp Kewisch [:Fallen]
:
Mentors:
http://code.google.com/p/gdata-issues...
: 386230 387388 391063 391245 402984 410795 434890 435841 453356 469936 556748 586239 605918 1020355 1037865 (view as bug list)
Depends on: 1079189
Blocks: 604227
  Show dependency treegraph
 
Reported: 2009-05-16 10:26 PDT by Brennan Vincent
Modified: 2014-12-12 14:34 PST (History)
137 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Brennan Vincent 2009-05-16 10:26:09 PDT
Google has recently (two days ago) added task-list support to Google Calendar. The Provider for Google Calendar should be able to sync tasks as well as events, but it does not.
Comment 1 Bas van den Bosch 2009-05-17 00:10:41 PDT
Here's the announcement:
http://www.google.com/support/forum/p/Calendar/thread?tid=2e211d9aafe4700c&hl=en
Comment 2 Bas van den Bosch 2009-05-17 00:17:49 PDT
*** Bug 469936 has been marked as a duplicate of this bug. ***
Comment 3 Bas van den Bosch 2009-05-17 00:20:28 PDT
It's not possible to synch yet, tasks appear in a seperate calendar with no sharing-option, no options for recurring tasks, no start date etc. But one step forwarde for google.
Comment 4 Philipp Kewisch [:Fallen] 2009-05-17 00:34:26 PDT
See http://code.google.com/p/gdata-issues/issues/detail?id=987
Comment 5 Philipp Kewisch [:Fallen] 2009-05-17 01:01:53 PDT
See also http://code.google.com/p/google-caldav-issues/issues/detail?id=36 for CalDAV tasks.
Comment 6 Philipp Kewisch [:Fallen] 2009-05-17 01:02:47 PDT
*** Bug 391063 has been marked as a duplicate of this bug. ***
Comment 7 Steve YATES 2009-08-24 01:57:26 PDT
I have seen this bug but only when trying to add a birthday that repeats annually BUT if I create the birthday as a one off, let the synch take place, I can then edit it to repeat annually
Comment 8 Simon Paquet [:sipaq] 2010-08-11 04:41:44 PDT
*** Bug 586239 has been marked as a duplicate of this bug. ***
Comment 9 Simon Paquet [:sipaq] 2010-08-11 04:43:12 PDT
*** Bug 453356 has been marked as a duplicate of this bug. ***
Comment 10 Simon Paquet [:sipaq] 2010-08-11 04:43:17 PDT
*** Bug 386230 has been marked as a duplicate of this bug. ***
Comment 11 Simon Paquet [:sipaq] 2010-08-11 04:43:20 PDT
*** Bug 434890 has been marked as a duplicate of this bug. ***
Comment 12 Simon Paquet [:sipaq] 2010-08-11 04:43:24 PDT
*** Bug 387388 has been marked as a duplicate of this bug. ***
Comment 13 Simon Paquet [:sipaq] 2010-08-11 04:43:30 PDT
*** Bug 391245 has been marked as a duplicate of this bug. ***
Comment 14 Simon Paquet [:sipaq] 2010-08-11 04:43:44 PDT
*** Bug 435841 has been marked as a duplicate of this bug. ***
Comment 15 Simon Paquet [:sipaq] 2010-08-11 04:43:52 PDT
*** Bug 410795 has been marked as a duplicate of this bug. ***
Comment 16 Simon Paquet [:sipaq] 2010-08-11 04:44:33 PDT
*** Bug 402984 has been marked as a duplicate of this bug. ***
Comment 17 venyosdh 2010-08-29 04:57:55 PDT
Why is this still not being adressed? This is not only a "Provider for Google Calendar"-Problem.
I think it is crucial for many people to access their calendars (including tasks!) online and/or synchronize them. PLEASE do something about it!

BTW: Is it possible to sort bugs by the number of votes?
Comment 18 Jens Müller (:tessarakt) 2010-08-29 05:09:27 PDT
(In reply to comment #17)
> Why is this still not being adressed? 

Because Google does not provide a proper API (yet). See the links in the comments above.

> This is not only a "Provider for Google
> Calendar"-Problem.

No? Which else is concerned? If you are implying that CalDAV cannot sync tasks, you should open a separate bug for the correct component.

> I think it is crucial for many people to access their calendars (including
> tasks!) online and/or synchronize them. PLEASE do something about it!

Please don't spam Bugzilla discussions with personal opinions.

> BTW: Is it possible to sort bugs by the number of votes?

Off-topic in this bug.
Comment 19 Jens Müller (:tessarakt) 2010-09-01 16:25:45 PDT
according to http://code.google.com/a/google.com/p/apps-api-issues/issues/detail?id=985#c19 gtasks on Android is able to sync tasks with Google calendar ...
Comment 20 venyosdh 2010-09-06 02:22:26 PDT
(In reply to comment #18)
> (In reply to comment #17)
> > Why is this still not being adressed? 
> 
> Because Google does not provide a proper API (yet). See the links in the
> comments above.
Well as you said, somehow Android gtasks can sync with Google calendar.

> > This is not only a "Provider for Google
> > Calendar"-Problem.
> 
> No? Which else is concerned? If you are implying that CalDAV cannot sync tasks,
> you should open a separate bug for the correct component.
I meant that Thunderbird can't sync tasks and appointments with ANY online calendar. If it could it would be a great improvement.

> > BTW: Is it possible to sort bugs by the number of votes?
>
> Off-topic in this bug.
Would you be so kind and tell me the right place to ask this? There is no forum here.
Comment 21 Bas van den Bosch 2010-09-06 02:57:17 PDT
> Well as you said, somehow Android gtasks can sync with Google calendar.

Someone could emulate a browser and create an extension but that's a lot of work which can be thrown away as soon as the API from google is available. If you can provide the patch, please do so...
 
> I meant that Thunderbird can't sync tasks and appointments with ANY online
> calendar. If it could it would be a great improvement.

??? Lightning can synch with (almost) any caldav and ics-calendar (including google, excluding google tasks). 
 
> Would you be so kind and tell me the right place to ask this? There is no forum here.
http://forums.mozillazine.org/viewforum.php?f=46
Comment 22 Wayne Mery (:wsmwk, NI for questions) 2011-02-12 08:10:57 PST
100 people like this idea  at http://getsatisfaction.com/mozilla_messaging/topics/sync_thunderbird_tasks_with_google_tasks
Comment 23 G Adams 2011-03-01 23:01:31 PST
http://gmailblog.blogspot.com/2011/01/top-tasks-for-google-tasks.html

They are adding a Tasks API suite so that should help this bug out significantly.
Comment 25 Jens Müller (:tessarakt) 2011-05-11 13:24:45 PDT
http://code.google.com/p/gdata-issues/issues/detail?id=987 also says

Status: fixed

http://code.google.com/apis/tasks/ is mentioned in a comment there.
Comment 26 Philipp Kewisch [:Fallen] 2011-05-14 16:38:57 PDT
Work in Progress, get/add works, modify/delete to go.

Note there will be loads of limitations here. Since Lightning doesn't support Subtask nesting yet (bug 194863), the list of tasks will be flat.

The first version will only allow access to the default task list, or whatever is configured in a hidden pref (due to string freeze).

Also, setting certain features (alarms, recurrence, ...) will not be possible at all since its not supported by the tasks api.
Comment 27 Philipp Kewisch [:Fallen] 2011-05-17 13:56:54 PDT
*** Bug 605918 has been marked as a duplicate of this bug. ***
Comment 28 Peter Lairo 2011-05-28 05:19:28 PDT
(In reply to comment #26 dated 2011-05-15)
> Work in Progress, get/add works, modify/delete to go.

It's been 13 days since that post. Is there any progress on this Work-in-Progress?
Comment 29 Nick Luo 2011-07-03 20:45:04 PDT
Hey,guys,is that any steps for this feature.
Comment 30 Tony Mechelynck [:tonymec] 2011-07-04 22:22:59 PDT
In reply to comment #28 and #29:

Fallen is a very busy guy, he's the only Calendar developer, and he's doing it in his spare time. In addition, the new "fast-release train" adopted by Thunderbird and SeaMonkey (and, first, by Firefox) doesn't make it any easier for him to fix bugs, he has to care first about publishing one release after another. So give him a break, wait, and pray in silence. He knows about this bug, he's bound to come back to it -- when he gets the time for it.
Comment 31 Philipp Kewisch [:Fallen] 2011-07-07 03:20:11 PDT
Sorry, Lightning release work has kept me from continuing on this. A problem might be the limit on requests that can be made by a single API key, from what I've understood this won't go away if I switch to OAuth. I could very well request a higher limit, but since Lightning does more requests in uncached mode than technically needed, they might reject my request. I'll keep you updated when things change.
Comment 32 David Iversen 2011-07-07 06:29:22 PDT
> Fallen is a very busy guy, he's the only Calendar developer, and he's doing
> it in his spare time.

I'm a developer who's looking for something to do while getting over a long term illness.  Just need to be pointed the right direction by an experienced contributor to get the dev environment set up.
Comment 33 Nick Luo 2011-07-07 08:59:37 PDT
(In reply to comment #31)
> Sorry, Lightning release work has kept me from continuing on this. A problem
> might be the limit on requests that can be made by a single API key, from
> what I've understood this won't go away if I switch to OAuth. I could very
> well request a higher limit, but since Lightning does more requests in
> uncached mode than technically needed, they might reject my request. I'll
> keep you updated when things change.

Good to learn that!!!

Hope this function will arrive soon!

I choose many GTD tools, but none of them suitable for my request!

Love the google task style and surface looking, but that function is too sample for me to use.
Comment 34 Frederik Niedernolte 2011-09-01 08:18:46 PDT
Any updates on this?
Comment 35 edge 2011-09-27 06:48:26 PDT
Any updates, shoot-from-the-hip ETAs, etc... anything?  I know Fallen is busy... but just trying to gauge if this is worth continuing to wait on before pursuing other solutions.  Thanks.
Comment 36 Chatfix 2011-11-09 22:50:42 PST
Any news on this?

Thunderbird 8, Lightning 1.0 and still no google task support :(
Comment 37 peter mu 2012-01-06 12:34:11 PST
Guys please do something. It's a pitty that these business tools function so well and such a simple issue has not been fixed yet! How come? So many people will be happy to sync between TB and their android devices, please do something!!!
Comment 38 Carlos Botero 2012-01-10 02:08:10 PST
Here you can see why this is not ready yet (stuck at Google's side):
https://wiki.mozilla.org/Calendar:GDATA_Provider#Why_can.27t_I_create_tasks_on_a_Google_Calendar.3F

And here you can give your vote on solving this issue on Google's side :-)  (click on the star)
http://code.google.com/p/google-caldav-issues/issues/detail?id=36#makechanges

Looking forward to see this changed soon!
Comment 39 Philipp Kewisch [:Fallen] 2012-01-10 06:04:40 PST
Sorry, that section is outdated. Its actually waiting on me now!
Comment 40 Carlos Botero 2012-01-10 06:13:25 PST
Oh! All right :-) so where can we get you some "RedBull" donation to help you with the work ;-) Thank you Philipp! Looking forward to this!
Comment 41 Jens Müller (:tessarakt) 2012-01-10 06:19:10 PST
(In reply to Philipp Kewisch [:Fallen] from comment #31)
> A problem
> might be the limit on requests that can be made by a single API key, from
> what I've understood this won't go away if I switch to OAuth. 

Make the API key configurable, so that each user can request his own one?
Comment 42 Philipp Kewisch [:Fallen] 2012-01-10 06:28:44 PST
See https://addons.mozilla.org/thunderbird/addon/provider-for-google-calendar/ for a donation button, maybe paypal also allows sending coffee :-)

Jens, I was thinking of this too but be honest: its really bad etiquette and I can imagine it goes against some Google terms of service.
Comment 43 Florian Wiedemann 2012-03-11 04:47:29 PDT
Any news about when Google Taks will be supported? 

A first shot with reduced functionality would be a big step in the right direction. ;-)
Comment 44 shiki.biomernok 2012-04-08 04:11:35 PDT
It says on the linked GData bug page, that the bug have been fixed.
I'll donate Fallen, once you add the feature.
Comment 45 jsochet@sochetlaw.com 2012-05-09 06:16:15 PDT
I too would like pledge my desire to donate specifically for this bug. Only think keeping me using web interface for calendar
Comment 46 Frederik Niedernolte 2012-06-09 15:24:14 PDT
Any updates on this issue?
Comment 47 Charles 2012-06-21 07:50:56 PDT
I'd also like to donate to this bug fix.  What's an appropriate donation range for something like this?  (please reply by email as that's a little off topic)
Comment 48 John L. Galt 2012-07-29 13:18:15 PDT
(In reply to Philipp Kewisch [:Fallen] from comment #39)
> Sorry, that section is outdated. Its actually waiting on me now!

So, the issue is still the limit on the number of requests sent to Google?
Comment 49 Philipp Kewisch [:Fallen] 2012-07-30 01:39:51 PDT
(In reply to Philipp Kewisch [:Fallen] from comment #39)
> Sorry, that section is outdated. Its actually waiting on me now!

Probably not. I haven't contacted them, but its actually a matter of me creating an implementation. I've actually looked into this again yesterday and have events and tasks with the v3 API working.

Things left to do:

Backend:
* Support multiple sessions (only one account possible atm)
* Cleanup old code
* Test recurring events
* Conflict handling
* Test offline items
* Support more than one tasks list

UI Fixes:
* Disable unsupported features in tasks dialog when editing a Google Task
* Revise New Calendar Dialog

Other related issues
* bug 756052 (required, will be pushed soon)
* bug 194863 (would be nice, not mandatory though)
Comment 50 Philipp Kewisch [:Fallen] 2012-08-01 11:07:44 PDT
Short update:

Backend:
* Support multiple sessions (only one account possible atm)
* Conflict handling
* Support events with a different organizer

UI Fixes:
* Disable unsupported features in tasks dialog when editing a Google Task
* Revise New Calendar Dialog Options

Later:
* Support more than one tasks list
* bug 194863 (would be nice, not mandatory though)
Comment 51 jamesdcarroll 2012-08-01 14:09:57 PDT
Is code available? I'd be happy to test.
Comment 52 prqek 2012-08-07 13:05:28 PDT
I am joining jamesdcarroll - is there some code available? I`d be also happy to help. I even started to work on my own implementation, but Philipp seems to be much further.
Comment 53 Philipp Kewisch [:Fallen] 2012-08-09 11:41:37 PDT
There is code, but before I make this public I'd like to at least fix conflict handling. Getting there...
Comment 54 spet1363 2012-09-02 09:18:35 PDT
Thanks for working on this -- I can't wait for the code to be released!
Comment 55 markus 2012-09-10 07:46:23 PDT
Looking forward to see Google Tasks integration soon :) Can you foresee, when it will be available? In which language are you developing it? Maybe I can help coding...
Comment 56 matpen 2012-10-12 03:57:40 PDT
Can this be integrated to speed up development?
http://code.google.com/p/gt-tasks-sync/

According to the description, it seems that most of the functionalities work already..
Comment 57 jamesdcarroll 2012-11-15 08:24:42 PST
Any word on testable code? Still ready, willing, and able to help test.
Comment 58 Philipp Kewisch [:Fallen] 2012-11-15 13:04:08 PST
My API quota has been increased, so this is no longer an issue. I will continue working on this just after the Lighting release on the 20th. I have gotten some great input from Google to how I can make better use of the v3 API which might make some things more smooth and my code much more clean.
Comment 59 Stefan Sitter 2012-11-21 10:49:58 PST
There exists an independent extension you could test: Google Tasks Sync. 

Quote: "Utilizing the Google Tasks API, this add-on allows you to manage your tasks directly from Thunderbird. [...] This add-on's functionality is completely separate from Lightning's built-in tasks [...] Google Tasks Sync's UI attaches to Lightning's Today Pane."

https://addons.mozilla.org/en-US/thunderbird/addon/google-tasks-sync/
Comment 60 Philipp Kewisch [:Fallen] 2012-11-29 01:26:15 PST
Ah, it was just a matter of time :-P I'm sorry for the long delay, I definitely could have spent more time on this, but as compensation you got up to date Lightning releases and regression fixes there!

Here is the current state of my provider: http://yousend.it/Udr3mR (v1)

When testing, please make sure you enable calendar.debug.log and calendar.debug.log.verbose in the Advanced Config Editor (Preferences → Advanced → General → Config Editor)

Things expected to work:
* Simple events and tasks
* Recurring events, exceptions to those
* All forms of conflicts (i.e changed on server and locally)
* All Google supported properties on events and tasks
* Secondary calendars on the same account

Things not expected to work:
* Unsupported properties on events and tasks
* Especially properties on tasks are very limited, due to Google's API
* Login with multiple accounts
* Accepting Invitations
* Default Alarms

Roadmap:
* Limit any unsupported properties by modifying the UI to not show them
* Figure out if I can get invitations to work
* Multiple accounts
* Check if two-step auth works
* Provide an option for default alarms

If you get error console message about this.mOfflineStorage not being defined, then something I cannot figure out yet went wrong. It could be related to another bug on Lightning 1.9. In this case you cannot delete your calendar. To work around, open the prefs.js in your profile, search for "gdata", then make sure that preferences for the same calendar exist with ...cache.enabled = true and ...name = "Something". Here is an example:

user_pref("calendar.registry.32edc988-c532-514f-bb71-50e55803f7ae.cache.enabled", true);
user_pref("calendar.registry.32edc988-c532-514f-bb71-50e55803f7ae.name", "Google API");

If you are getting a different error, please describe with these questions:

* What version (see download link) are you using?
* What are the exact steps to reproduce?
* What Errors do you get in the Error Console (Tools Menu)
* Aside from the Errors, are there Messages in the Error Console that are relevant?
* Does the same error show up if you remove the calendar and add it back again?
* Does the feature appear above in the list of things not working?
* What kind of access do you have to the calendar you are accessing?
* If its about an event, is it an event you are invited to (i.e from someone else)?
* Anything else that might help me find the issue?
Comment 61 Philipp Kewisch [:Fallen] 2012-11-29 01:27:29 PST
Note if you are distributing this extension, please give them the link to this bug to avoid false expectations.
Comment 62 mival 2012-11-29 02:54:01 PST
(In reply to Philipp Kewisch [:Fallen] from comment #60)
> Ah, it was just a matter of time :-P I'm sorry for the long delay, I
> definitely could have spent more time on this, but as compensation you got
> up to date Lightning releases and regression fixes there!
> 
> Here is the current state of my provider: http://yousend.it/Udr3mR (v1)
> 
> When testing, please make sure you enable calendar.debug.log and
> calendar.debug.log.verbose in the Advanced Config Editor (Preferences →
> Advanced → General → Config Editor)
> 
> Things expected to work:
> * Simple events and tasks
> * Recurring events, exceptions to those
> * All forms of conflicts (i.e changed on server and locally)
> * All Google supported properties on events and tasks
> * Secondary calendars on the same account
> 
> Things not expected to work:
> * Unsupported properties on events and tasks
> * Especially properties on tasks are very limited, due to Google's API
> * Login with multiple accounts
> * Accepting Invitations
> * Default Alarms
> 
> Roadmap:
> * Limit any unsupported properties by modifying the UI to not show them
> * Figure out if I can get invitations to work
> * Multiple accounts
> * Check if two-step auth works
> * Provide an option for default alarms
> 
> If you get error console message about this.mOfflineStorage not being
> defined, then something I cannot figure out yet went wrong. It could be
> related to another bug on Lightning 1.9. In this case you cannot delete your
> calendar. To work around, open the prefs.js in your profile, search for
> "gdata", then make sure that preferences for the same calendar exist with
> ...cache.enabled = true and ...name = "Something". Here is an example:
> 
> user_pref("calendar.registry.32edc988-c532-514f-bb71-50e55803f7ae.cache.
> enabled", true);
> user_pref("calendar.registry.32edc988-c532-514f-bb71-50e55803f7ae.name",
> "Google API");
> 
> If you are getting a different error, please describe with these questions:
> 
> * What version (see download link) are you using?
> * What are the exact steps to reproduce?
> * What Errors do you get in the Error Console (Tools Menu)
> * Aside from the Errors, are there Messages in the Error Console that are
> relevant?
> * Does the same error show up if you remove the calendar and add it back
> again?
> * Does the feature appear above in the list of things not working?
> * What kind of access do you have to the calendar you are accessing?
> * If its about an event, is it an event you are invited to (i.e from someone
> else)?
> * Anything else that might help me find the issue?

What version of Lightning and Thinderbird is needed? I just install this gdata plugin, but I can not manage calendars (delete, add new) and nothing is show in calendar view.
Comment 63 Philipp Kewisch [:Fallen] 2012-11-29 03:08:49 PST
Thunderbird 17 and Lightning 1.9 should be working, if that fails then Thunderbird 20 and Lightning 2.2.

Please don't just click reply and leave in all my test, but remove anything irrelevant and answer the questions.
Comment 64 mival 2012-11-29 03:39:07 PST
(In reply to Philipp Kewisch [:Fallen] from comment #63)
> Thunderbird 17 and Lightning 1.9 should be working, if that fails then
> Thunderbird 20 and Lightning 2.2.
Just try both versions, first time after install of both plugins it works, but after restart of thunderbird I can see only empty item in calendar list (color square without name) and I cannot delete it.
Comment 65 Philipp Kewisch [:Fallen] 2012-11-29 04:36:40 PST
(In reply to jan.vonavka from comment #64)
> (In reply to Philipp Kewisch [:Fallen] from comment #63)
> > Thunderbird 17 and Lightning 1.9 should be working, if that fails then
> > Thunderbird 20 and Lightning 2.2.
> Just try both versions, first time after install of both plugins it works,
> but after restart of thunderbird I can see only empty item in calendar list
> (color square without name) and I cannot delete it.

Jan, again, please follow the instructions in my comment 60!! If you would have checked the error console you probably would have seen the messages about mOfflineStorage and could have followed the instructions I posted there to fix it. This is a known issue and will be taken care of as soon as I find out why it happens.

To All: This version is not officially supported yet, so I would really appreciate if folks could follow the questions and steps I outlined. Something general like "it doesn't work" will only lead to me repeating questions from comment 60, foremost "What Errors do you get in the Error Console".
Comment 66 mival 2012-11-29 04:58:21 PST
(In reply to Philipp Kewisch [:Fallen] from comment #65)
Really sorry a skip one paragraph, now everything works fine.
Comment 67 Olivier 2012-11-29 09:42:13 PST
Promising work !

I face the issue you described in comment #60. This problem seems to happen each time I changed a property for the calendar (name, associated color).
I also notice that all tasks are duplicated since I registered to two calendars from my account.

Hope this help.
Comment 68 Philipp Kewisch [:Fallen] 2012-11-29 10:07:53 PST
(In reply to Olivier from comment #67)
> I face the issue you described in comment #60. This problem seems to happen
> each time I changed a property for the calendar (name, associated color).
Thanks, this might help figure out the issue.

> I also notice that all tasks are duplicated since I registered to two
> calendars from my account.
Ah yes. The current tasks support uses the @default tasks list for every calendar. I will need some more finegrained support for task lists anyway, but this is definitely an issue I should look into.

> Hope this help.
It does :)
Comment 69 John Kuang 2012-11-29 10:22:16 PST
Using TB17/Lightning1.9 in Ubuntu 12.10, I also got the mofflinestorage error. So I followed your instructions to edit the pref.js and now, the tasks appear, but I don't see any of my events in the calendar.

Some error messages, not sure if all relevant:
Timestamp: 11/29/2012 12:15:20 PM
Error: Setting offline storage to [xpconnect wrapped (nsISupports, calICalendar, calICalendarProvider, calIOfflineStorage, calISchedulingSupport, calISyncWriteCalendar, nsIClassInfo)]

Timestamp: 11/29/2012 12:15:26 PM
Error: [calGoogleCalendar] Error parsing events sync response (resource://gdata-provider/modules/gdataLogging.jsm:98):TypeError: enumerator is null
Comment 70 ubuntumuntu 2012-11-29 13:21:11 PST
This issue (or some incarnation of it) has been ongoing for a very long time now, on multiple OS's for me.
Seems isolated to events (repeating or otherwise) that have been changed since their initial creation.

I'm not brave enough at this stage to hack the code of my client to get (seemingly functional) Cal components working correctly - will have to wait for an update/patch before I bork my own systems, or move off TB to something that works correctly.

Considering this issue exists since mid-2009, may this should be escalated a bit?
Not really "trivial" any longer.....
Comment 71 Michael A. Koenecke 2012-12-19 13:55:04 PST
I'm really confused here. How exactly can one sync Tasks at all? In Lightning, in order to add a Task one needs a calendar with Tasks enabled. And the only way to add Tasks in Google is to create a separate Task list, which has no synching method available (i.e., no external address provided). Of course, my default Google calendar does not support Tasks, nor can I figure out any way to enable them. Sorry for being so dense, but I'd really like to test this extension.
Comment 72 Lewis Rosenthal 2012-12-19 14:19:45 PST
Hi, Michael...

Does https://support.google.com/calendar/bin/answer.py?hl=en&answer=144246 help at all? Looking at the web interface to my Google calendar, on the left, under "My calendars" I have one simply called "Tasks" which was auto-created. This is listed below my two calendars (main one and the one I use for testing GData stuff).

The Provider does not (AFAIK) have a method for *just* syncing tasks without syncing the calendar as well (interesting conundrum, that might be), so you'll need to set up a remote calendar in Lightning as a Google calendar using the url for the calendar. *Then* Philipp's test code should work to sync your tasks.

Note that I am mentioning the above off the top of my head, as I have not yet had a chance to test this.

HTH
Comment 73 Michael A. Koenecke 2012-12-19 14:24:26 PST
That's the problem: the auto-created "Tasks" calendar (unlike the other calendars) does not have Settings available, so there *is* no URL for it to link to. That is why I am confused.
Comment 74 Lewis Rosenthal 2012-12-19 15:39:17 PST
The url for your main calendar *should* sync the tasks, I believe. You don't create a GData (Lightning) remote calendar as a "Tasks" calendar. Create a remote calendar using the URL for your main Google calendar (if you don't already have it from a previous GData Provider installation). From there, create a new task, and select your Google calendar as the target calendar. Because it's a task and not an event, it should be added to your Google Tasks. Check your Google web interface to see if it made it. (Again, this is just thinking off the top of my head; I'll give this a go later this evening, and will try to follow up with a How-To to add to this bug as a reference.
Comment 75 Philipp Kewisch [:Fallen] 2012-12-20 01:29:58 PST
You don't need an URL for the tasks calendar since I use the alias "@default". This gives you the the tasks in the default tasks list, which is also the reason tasks may currently show up more than once if you subscribe to secondary calendars.

Plans for the final version include the option to subscribe to a task list only, or changing the tasks list used for your calendar. I will have to enhance the new calendar wizard to support this.
Comment 76 Michael A. Koenecke 2012-12-20 05:29:34 PST
Now I've got it up and running. Thanks.
Comment 77 Lewis Rosenthal 2012-12-20 06:26:40 PST
Glad things came together for you, Michael.

Philipp, in your code, you reference the URL for the Google API, though that's an outdated link. I mention this only because I stumbled upon the issue last night while poking around at the contents of your xpi and was curious as to how things fit together. I did manage to find the Tasks API on Google, though: https://developers.google.com/google-apps/tasks/ . Is that the link which you really should use? (I want to be sure I'm reading the right stuff).
Comment 78 matthias2t 2012-12-20 09:20:50 PST
(In reply to Philipp Kewisch [:Fallen] from comment #60)

Hi!

First of all, thank you for the work done!
This is my first participation to any bug report, so please apologize any lake of precision.

So here a very not problematic error, because an errormessage is sent, but the action is done anyway : 

> * What version (see download link) are you using?
TB 17.0
Lightning 1.9

> * What are the exact steps to reproduce?
Select a task. Ctrl+C Ctrl+V

> * What Errors do you get in the Error Console (Tools Menu)
Horodatage : 20/12/2012 18:13:34
Erreur : Une erreur est survenue lors de l'écriture sur l'agenda Matthias Lévy ! Code d'erreur : MODIFICATION_FAILED. Description : 
Fichier Source : resource://calendar/modules/calUtils.jsm -> file:///C:/Users/admin/LiberKey/Apps/Thunderbird/Data/profile/extensions/%7Be2fda1a4-762b-4020-b5ad-a41df1933103%7D/calendar-js/calCalendarManager.js
Ligne : 975

Sorry, its in french...

> * Aside from the Errors, are there Messages in the Error Console that are
> relevant?
NO! it works exactly as I wanted, the copy is done and I can modify the task.

> * Does the same error show up if you remove the calendar and add it back
> again?
Yes..

> * Does the feature appear above in the list of things not working?
I think no...

> * What kind of access do you have to the calendar you are accessing?
Full access

> * If its about an event, is it an event you are invited to (i.e from someone
> else)?
N/A

> * Anything else that might help me find the issue?
no, sorry.

Thanks again!
Comment 79 Kevin Dethlefs-Moreno 2013-03-01 22:51:50 PST
This seems to be syncing just fine. I did, however, have to remove all preferences related to the calendar in my installation before it would allow me to delete the calender (even though cache was enabled, and had a name).
Comment 80 Heiko Adams 2013-03-02 01:44:50 PST
Installed and works fine so far. But there is a big handling problem:
I've got several google calendars added to my thunderbird and now all my tasks are listed several times (one time for each google calendar). So there should either be an option to define which calendar's tasks should be fetched from google or there should be a possibility to filter tasks by there calendar.
Comment 81 Alex Oreshkin 2013-03-02 03:03:06 PST
0.22pre fixed task but running a second calendar shows no events and no tasks for the second user.

In any case this is a great development, I can manage with one calendar but two would be nicer.

No errors in console.
Comment 82 Alex Oreshkin 2013-03-02 03:31:35 PST
Well it was working fine but now I can't get tasks to work with a vanilla install using 0.22pre with lightning 1.9 TB 17.03 .

Steps are simple, install said plugins and add XML url to calendar using Google Cal setting and tasks do not sync.

However now I am able to add multiple calendars..

Timestamp: 3/2/2013 3:21:31 AM
Error: [Exception... "'[JavaScript Error: "calendar is null" {file: "chrome://calendar/content/calendar-task-editing.js" line: 101}]' when calling method: [calICompositeObserver::onDefaultCalendarChanged]"  nsresult: "0x80570021 (NS_ERROR_XPC_JAVASCRIPT_ERROR_WITH_DETAILS)"  location: "JS frame :: resource://calendar/modules/calUtils.jsm -> file:///C:/Users/Aleksandr/AppData/Roaming/Thunderbird/Profiles/lxm9pgu1.default/extensions/%7Be2fda1a4-762b-4020-b5ad-a41df1933103%7D/calendar-js/calUtils.js :: notifyFunc :: line 1361"  data: yes] STACK: 1: [resource://calendar/modules/calUtils.jsm -> file:///C:/Users/Aleksandr/AppData/Roaming/Thunderbird/Profiles/lxm9pgu1.default/extensions/%7Be2fda1a4-762b-4020-b5ad-a41df1933103%7D/calendar-js/calUtils.js:1364] notifyFunc
2: [resource://calendar/modules/calUtils.jsm -> file:///C:/Users/Aleksandr/AppData/Roaming/Thunderbird/Profiles/lxm9pgu1.default/extensions/%7Be2fda1a4-762b-4020-b5ad-a41df1933103%7D/calendar-js/calUtils.js:1367] calListenerBag_notify
3: [resource://calendar/modules/calProviderUtils.jsm:473] calObserverBag_notify
4: [file:///C:/Users/Aleksandr/AppData/Roaming/Thunderbird/Profiles/lxm9pgu1.default/extensions/%7Be2fda1a4-762b-4020-b5ad-a41df1933103%7D/components/calCompositeCalendar.js:244] null
5: [file:///C:/Users/Aleksandr/AppData/Roaming/Thunderbird/Profiles/lxm9pgu1.default/extensions/%7Be2fda1a4-762b-4020-b5ad-a41df1933103%7D/components/calCompositeCalendar.js:248] null
6: [chrome://calendar/content/widgets/calendar-list-tree.xml:1033] onxblselect

Source File: resource://calendar/modules/calUtils.jsm -> file:///C:/Users/Aleksandr/AppData/Roaming/Thunderbird/Profiles/lxm9pgu1.default/extensions/%7Be2fda1a4-762b-4020-b5ad-a41df1933103%7D/calendar-js/calUtils.js
Line: 1364
Comment 83 Nathan Rona 2013-03-19 13:29:30 PDT
Installed 0.22pre but the google calenders to not show up as option when I make new taks, only local "home" calender. What's wrong?
Comment 84 Florian Wiedemann 2013-09-19 01:20:27 PDT
Hi,

I'm using the new official Thunderbird version 24, Lightning 2.6 and the Provider for Google Calendar 0.25. But I still cannot add a task when I choose a Google calendar as source. 

The context menue entry "New task" is greyed out and there is a status message left to the filter input field that says "Please choose a calendar that supports Tasks".

What is the current status of Google Tasks support? 
Is it still under development? 
Is there a working developlment version that we can test? 
When can we expect to have a first official version (maybe with reduced functionality)?

Thanks and kind regards
Florian
Comment 85 Philipp Kewisch [:Fallen] 2013-09-19 01:40:47 PDT
I will have to take care of this by December, because the v1 API is being shut down. You can try the test version in comment 60, but I can't promise it works with the latest Thunderbird+Lightning.

I hope to continue working on this in October.
Comment 86 Florian Wiedemann 2013-09-19 07:51:23 PDT
Hi Philipp,

that are great news! I'm looking forward testing a new version end of this year.

Kind regards
Florian
Comment 87 Cameron 2013-10-30 11:45:12 PDT
Philipp,
How is the progress going for the Google tasks integration's?
-C
Comment 88 Philipp Kewisch [:Fallen] 2013-11-12 10:05:26 PST
Download
========

I have created a new version you should try out. You can get it here:

http://bit.ly/18oN9cl (v2)

A lot of things have been fixed, its *almost ready for prime time*, so testing and bug reports are greatly needed!


URL Format
==========

One important change is the URL format. The old URL format will still work, with the following constraints:

* If you subscribed to the primary calendar, you will get your default tasks list
  and the calendar
* If you subscribed to a secondary calendar, you will get no tasks and the calendar
* There will be one login prompt per calendar

There is a new format that will cover all remaining cases, here are possible formats:

(1) Both a calendar and a task list:
googleapi://session-id/?calendar=<calendarId>&tasks=<tasklistId>

(2) Using session-id as calendar name and the default tasks list:
googleapi://session-id/

(3) Only a calendar:
googleapi://session-id/?calendar=<calendarId>   

(4) Only a tasks list:
googleapi://session-id/?tasks=<tasklistId>     

Replace session-id by something to identify the session, ideally your Google Calendar username. Full examples for the above schemes (hashes are not real):

(1) googleapi://kewisch@gmail.com/?calendar=njofnewjnwefjnf@group.calendar.google.com&tasks=MIaiejfwoeigjgiewog
(2) googleapi://kewisch@gmail.com/
(3) googleapi://kewisch@gmail.com/?calendar=njofnewjnwefjnf@group.calendar.google.com
(4) googleapi://kewisch@gmail.com/?tasks=MIaiejfwoeigjgiewog

You can get the calendarId from the user interface, for the primary calendar its just your email address. Its unfortunately not easy to get the tasklistId. Here are the steps to do so:

* Go to https://developers.google.com/apis-explorer/#s/tasks/v1/tasks.tasklists.list
* Enable "Authorize requests using OAuth 2.0"
* Sign in and authorize using your Google account
* Click on the "Execute" button, no need to fill in the fields
* Look for the "id" row near the title of your tasks list
* Use the value of the "id" row, without quotation marks, as your tasklistId.

I will improve the experience in the final version by modifying the new calendar dialog.

Features
========
 
Things expected to work:
* Simple events and tasks
* Recurring events, exceptions to those
* All forms of conflicts (i.e changed on server and locally)
* All Google supported properties on events and tasks
* Secondary calendars on the same account
* Not showing unsupported properties on events and tasks
* Login with multiple accounts
* Default Alarms
* The previous error with mOfflineStorage is fixed.
* Freebusy lookups

Things not expected to work:
* Accepting Invitations (didn't try it)

Roadmap:
* Figure out if I can get invitations to work
* Cleanup
* Do something about the new calendar dialog

Troubleshooting
===============

When testing, please make sure you enable calendar.debug.log and calendar.debug.log.verbose in the Advanced Config Editor (Preferences → Advanced → General → Config Editor)

If you are getting an error, please describe with these questions:

* What version (see download link) are you using?
* What are the exact steps to reproduce?
* What Errors do you get in the Error Console (Tools Menu)
* Aside from the Errors, are there Messages in the Error Console that are relevant?
* Does the same error show up if you remove the calendar and add it back again?
* Does the feature appear above in the list of things not working?
* What kind of access do you have to the calendar you are accessing?
* If its about an event, is it an event you are invited to (i.e from someone else)?
* Anything else that might help me find the issue?
Comment 89 mival 2013-11-12 11:41:30 PST
Philipp, absolutely perfect work, thanks a lot, finally it works as I expected
Comment 90 Spip5 2013-11-12 13:33:12 PST
Thanks for the new version Phillip, but it failed for me.

After rebooting TB 24.1.0, I had an error message linked to my anniversary calendar (sorry, no screenshot), maybe a conflict with BirthdayReminder.
And just one of my calendar left !
[url=http://tof.canardpc.com/view/4dbce7c0-6bd0-4872-8968-adabe3633814.jpg][img]http://tof.canardpc.com/preview/4dbce7c0-6bd0-4872-8968-adabe3633814.jpg[/img][/url]

I uninstalled your plugin. First, I had an error message at launch:
[url=http://tof.canardpc.com/view/0257cb07-cda9-4e66-80c0-28e27c8f90d9.jpg][img]http://tof.canardpc.com/preview/0257cb07-cda9-4e66-80c0-28e27c8f90d9.jpg[/img][/url]
Then, my synchronized calendars reappeared in grey (I was not able to select them):
[url=http://tof.canardpc.com/view/c445047e-7008-4dee-80a7-87044c968a18.jpg][img]http://tof.canardpc.com/preview/c445047e-7008-4dee-80a7-87044c968a18.jpg[/img][/url]

When I reinstalled your regular plugin (v0.25), everything reappeared, I just had to reorder calendar names on the left:
[url=http://tof.canardpc.com/view/203a6919-cab7-4d8f-b19e-6acca2a4d540.jpg][img]http://tof.canardpc.com/preview/203a6919-cab7-4d8f-b19e-6acca2a4d540.jpg[/img][/url]
Comment 91 Michael A. Koenecke 2013-11-12 13:45:41 PST
I could not get the new plugin to work either. I installed it, and found no events would show up. And then, upon exiting and restarting Thunderbird, the calendar disappeared entirely. Reinstalled version 0.25, and all the calendars that had disappeared reappeared, so I had to delete them all again. Weird.
Comment 92 Philipp Kewisch [:Fallen] 2013-11-12 13:57:26 PST
Michael, Spip5, could you answer the questions at the end of comment 88?
Comment 93 Florian Wiedemann 2013-11-12 13:59:37 PST
Hi Philipp,

thanks for your great work! 

I followed your guideline and was able to install and configure the plugin as described.

I noticed the following issues during my first short tests:

- When I add a new task to a Google Task List the task is actually synced but the sandglass is turning 
  continuously. There seems to be still some actions running in the background that never get finished.

- When I add a start and a finish date in Thunderbird Lightning the date will not be synced to the 
  Google Task. I've expected that the finish date in Thunderbird would be mapped to the due date in 
  Google Task.

Kind regards
Florian
Comment 94 Philipp Kewisch [:Fallen] 2013-11-12 14:03:50 PST
(In reply to Florian Wiedemann from comment #93)
> Hi Philipp,
> 
> thanks for your great work! 
> 
> I followed your guideline and was able to install and configure the plugin
> as described.
> 
> I noticed the following issues during my first short tests:
> 
> - When I add a new task to a Google Task List the task is actually synced
> but the sandglass is turning 
>   continuously. There seems to be still some actions running in the
> background that never get finished.
If you have a large calendar, the synchronization process might take a while. I've optimized it so it continues in the background and doesn't freeze Thunderbird. With the debug settings in comment 88 you can follow what happens more closely.


> 
> - When I add a start and a finish date in Thunderbird Lightning the date
> will not be synced to the 
>   Google Task. I've expected that the finish date in Thunderbird would be
> mapped to the due date in 
>   Google Task.
Yes, finish should be mapped to due. What does the task dialog look like when you open it? The start date shouldn't even be shown, I've added some code to clean up the dialog when a Google Tasks calendar is selected.
Comment 95 Florian Wiedemann 2013-11-12 14:32:21 PST
(In reply to Philipp Kewisch [:Fallen] from comment #94)
> (In reply to Florian Wiedemann from comment #93)
> > Hi Philipp,
> > 
> > thanks for your great work! 
> > 
> > I followed your guideline and was able to install and configure the plugin
> > as described.
> > 
> > I noticed the following issues during my first short tests:
> > 
> > - When I add a new task to a Google Task List the task is actually synced
> > but the sandglass is turning 
> >   continuously. There seems to be still some actions running in the
> > background that never get finished.
> If you have a large calendar, the synchronization process might take a
> while. I've optimized it so it continues in the background and doesn't
> freeze Thunderbird. With the debug settings in comment 88 you can follow
> what happens more closely.
Thunderbird itself is not freezed. I just was wondering about the sandglass. As long as the task is being synced (it was in my case) I ignore it. ;-)

> > 
> > - When I add a start and a finish date in Thunderbird Lightning the date
> > will not be synced to the 
> >   Google Task. I've expected that the finish date in Thunderbird would be
> > mapped to the due date in 
> >   Google Task.
> Yes, finish should be mapped to due. What does the task dialog look like
> when you open it? The start date shouldn't even be shown, I've added some
> code to clean up the dialog when a Google Tasks calendar is selected.
The cleaned up dialog only appears if I "reselect" the task list.

Dialog when I click on create new task:
http://s14.postimg.org/rl4jzda29/Add_new_task_1.png

Dialog when I reselect the task list:
http://s8.postimg.org/gv5osiylx/Add_new_task_2.png

Create task in Google without due date:
http://s23.postimg.org/tf8mfgdbv/Add_new_task_3.png
Comment 96 Michael A. Koenecke 2013-11-12 14:35:33 PST
Sorry; I did not set it up correctly. After further experimentation, it appears to be working. I'll keep an eye on it and report back.
Comment 97 Stefan Sitter 2013-11-12 14:49:40 PST
Florian, the dialog error might be caused by missing localized strings. The xpi attached by Philipp contains only English en-US strings but you are using German localization according to screenshots. Please retest with English en-US Lightning and Thunderbird.
Comment 98 Pepa 2013-11-12 16:04:15 PST
Installed v2 (0.29pre, upgraded from 0.25) on Thunderbird 24.1.0 (Lightning 2.6.2).
It erased all my calendars. If I add a calendar back (Google, from XML private link), I have to press Next twice in the choose name/colour dialogue, and then it doesn't get populated. Tried with 2 different calendars.
Comment 99 Pepa 2013-11-12 17:28:23 PST
[ I went back to installing 0.25, and will try again and look at the error console when I have more time. Going back to 0.25 was scary, the Thunderbird was unresponsive for over 10 minutes... ]
Comment 100 Philipp Kewisch [:Fallen] 2013-11-13 01:14:50 PST
Please folks, if you are having problems, answer the support questions I have prepared. I can't fix anything without knowing what the error is, the most important is error console messages. Its like calling 911 and saying "there is an accident" and then hanging up :)

Florian, please try what Stefan suggested. In your case I would also be interested in error console messages.
Comment 101 Paul 2013-11-13 03:24:15 PST
Hello
I've installed V2 from above and syncing task now works great!  However syncing a calendar from a second google account doesn't appear to be working.
Steps to reproduce :
Add a calendar with url : googleapi://account1@gmail.com/
Add a calendar with url : googleapi://account1@gmail.com/?calendar=calendarref1
Add a calendar with url : googleapi://account2@gmail.com/?calendar=calendarref2

The first 2 calendars sync fine but the third calendar with the different session ID / account details doesn't sync.
Error log entries :

[JavaScript Error: "[calCachedCalendar] replay action failed: null, uri=googleapi://mr.paul.richardson@gmail.com/?calendar=bshhoj1h5civciciqgsv345230@group.calendar.google.com, result=[object Object], op=[xpconnect wrapped calIOperation]"]
[calGoogleCalendar] Error syncing calendar:
2152334338:[object Object]
[calGoogleCalendar] Request GET https://www.googleapis.com/calendar/v3/users/me/calendarList/bshhoj1h5civciciqgsv345230@group.calendar.google.com responded with HTTP 404
[calGoogleCalendar] Error syncing events:
2152334338:[object Object]
[calGoogleCalendar] Request GET https://www.googleapis.com/calendar/v3/calendars/bshhoj1h5civciciqgsv345230%40group.calendar.google.com/events?timeZone=Europe/London&maxResults=50 responded with HTTP 404

It appears to be an issue with authentication for the third account, however looking at the saved passwords in thunderbird there are Google Calendar OAuth Token entries for both accounts so it would appear that it is authenticating in some manor.
Comment 102 Paul 2013-11-13 04:03:13 PST
Hello,
It's OK I've finally figured out what the problem was.  When I created the third calendar it put up a web page for google requesting authorisation for the plugin to access calendars and tasks.  As I use chrome that was logged into account1 I authorised that account, unfortunatly this meant that the plugin wasn't authorised to access account2's calendars etc...  Hence the 404 reply when updating.  Had to remove then re-add the calendar and change account in the subsequent web page.  All working fine now, don't know if you can specify account when putting up the authorisation page so forcing it to login to the correct account?
Thanks for all the hard work in producing this BTW.
Paul
Comment 103 Spip5 2013-11-13 13:23:48 PST
* What version (see download link) are you using?
v2

* What are the exact steps to reproduce?
1_installing the new plugin
2_After rebooting TB 24.1.0, I had an error message linked to my anniversary calendar, maybe a conflict with BirthdayReminder:
http://tof.canardpc.com/view/7133b84f-5d01-40af-a3d7-b778231233bf.jpg
And just one of my calendar left, the unsynchronized one !
http://tof.canardpc.com/view/4dbce7c0-6bd0-4872-8968-adabe3633814.jpg
3_I Uninstalled BirthdayReminder. Same problem: no online calendar appeared.
4_I uninstalled your plugin.
No more error message (comment 90). My synchronized calendars reappeared in grey (I was not able to select them): http://tof.canardpc.com/view/c445047e-7008-4dee-80a7-87044c968a18.jpg
5_I reinstalled your regular plugin (v0.25). Everything reappeared, I just had to reorder calendar names on the left: http://tof.canardpc.com/view/203a6919-cab7-4d8f-b19e-6acca2a4d540
6_I reinstalled your new plugin. I had no more error message linked to my anniversary calendar at reboot (step 2).
But still just one of my calendar left.
7_Same as 4.
8_Same as 5.
To conclude: without BirthdayReminder, still not working.


* What Errors do you get in the Error Console (Tools Menu)
A lot.
For step 2: http://tof.canardpc.com/view/60ccc07f-c8cc-4b72-a1a8-5cbffccba271.jpg
For step 6: http://tof.canardpc.com/view/a200deb3-a201-4f27-bb07-798388b52c43.jpg

* Aside from the Errors, are there Messages in the Error Console that are relevant?
No.

* Does the same error show up if you remove the calendar and add it back again?
All my synchronized calendar already diseappeared.

* What kind of access do you have to the calendar you are accessing?
Creator for 9 synchronized.
Reader for 3 synchronized.
Creator for 1 offline.
Comment 104 Philipp Kewisch [:Fallen] 2013-11-14 13:59:14 PST
(In reply to Paul from comment #102)
> account in the subsequent web page.  All working fine now, don't know if you
> can specify account when putting up the authorisation page so forcing it to
> login to the correct account?

I'll check if I can make that window a private window so cookies are not saved. Its on my todo list anyway :)
Comment 105 Philipp Kewisch [:Fallen] 2013-11-14 14:01:54 PST
(In reply to Spip5 from comment #103)

> 
> * What Errors do you get in the Error Console (Tools Menu)
> A lot.
> For step 2:
> http://tof.canardpc.com/view/60ccc07f-c8cc-4b72-a1a8-5cbffccba271.jpg
> For step 6:
> http://tof.canardpc.com/view/a200deb3-a201-4f27-bb07-798388b52c43.jpg

Thanks, this helps me eliminate a bug. I will post a new version soon. For now, try using the new URI format described in comment 88.
Comment 106 John L. Galt 2013-11-15 09:14:21 PST
Philipp, 

I notice that there is an auto-built ver 0.29 that corresponds to the latest Thunderbird Daily channel builds.  Is this plugin that you released compatible with those builds?

Furthermore, I use the x64 client as opposed to the x86 client, and gdata is built for both architectures.  I'm assuming the above linked file is x86 only, or will the same file now be usable in both architectures?  In not, I'll wait until an x64 version is built before upgrading.
Comment 107 Florian Wiedemann 2013-11-15 12:48:03 PST
Hi Philipp,

now I've tested with an English installation of Thunderbird. But I have the same error that the due date is not being synced.

1. Added task
http://postimg.org/image/p62irkfxp/

2. Checked error log: no errors
http://postimg.org/image/7id6qrslz/

3. Still no due date :-(
http://postimg.org/image/kvvo17sr7/

* What version (see download link) are you using?
Thunderbird 24.1.0 en-us / Lightning 2.6.2 / your current built of Provider for Google Calendar 0.29 pre

* What are the exact steps to reproduce?
Add task, add due date, save wait for sync, check due date on Google Calendar web site: no due date

* What Errors do you get in the Error Console (Tools Menu)
No errors

* Aside from the Errors, are there Messages in the Error Console that are relevant?
No, only sync messages

* Does the same error show up if you remove the calendar and add it back again?
Yes!

* Does the feature appear above in the list of things not working?
No

* What kind of access do you have to the calendar you are accessing?
It is my own task list

* If its about an event, is it an event you are invited to (i.e from someone else)?
n.a.

* Anything else that might help me find the issue?
Unfortunately not

Kind regards
Florian
Comment 108 Philipp Kewisch [:Fallen] 2013-11-19 12:04:30 PST
(In reply to John L. Galt from comment #106)
> Philipp, 
> 
> I notice that there is an auto-built ver 0.29 that corresponds to the latest
> Thunderbird Daily channel builds.  Is this plugin that you released
> compatible with those builds?
When this hits the repositories there will be two versions, one for tb24 and one for tb25+. There was a change with http.jsm which makes the one I linked here incompatible to the tb25+. Its a change of only a few lines, I can probably make it compatible to both versions in one.

> 
> Furthermore, I use the x64 client as opposed to the x86 client, and gdata is
> built for both architectures.  I'm assuming the above linked file is x86
> only, or will the same file now be usable in both architectures?  In not,
> I'll wait until an x64 version is built before upgrading.
The one linked here is compatible to any architecture, any platform. There are no binary parts. If you came to this conclusion because the ftp servers have one gdata-provider.xpi in each platform folder, I just did this to make it easier for release automation.
Comment 109 Philipp Kewisch [:Fallen] 2013-11-19 13:16:40 PST
Download
========

Here is a new version, that fixes a few minor issues. You can get it here:
 
http://bit.ly/1aqCWjS (v3)

Thanks to everyone who has tested so far! I still need a few more people to give this a try to make sure all bugs are fixed before I release.

 
URL Format
==========

If you are new to this bug, please read comment 88. It contains some details to the new URL format.

Features
========

This version just has a few minor improvements. For a more complete changelog see comment 88. Here are the details for this version:

* Fixed a bug when using the old URL format (comment 103)
* Now supports 24.* - 28.0a1 (comment 106)
* Fixed the overlay for the event dialog (comment 107)

Troubleshooting
===============

When testing, please make sure you enable calendar.debug.log and calendar.debug.log.verbose in the Advanced Config Editor (Preferences → Advanced → General → Config Editor)

If you are getting an error, please describe with these questions:

* What version (see download link) are you using?
* What are the exact steps to reproduce?
* What Errors do you get in the Error Console (Tools Menu)
* Aside from the Errors, are there Messages in the Error Console that are relevant?
* Does the same error show up if you remove the calendar and add it back again?
* Does the feature appear above in the list of things not working?
* What kind of access do you have to the calendar you are accessing?
* If its about an event, is it an event you are invited to (i.e from someone else)?
* Anything else that might help me find the issue?
Comment 110 Olivier 2013-11-19 16:25:03 PST
Using it for few days (Ubuntu 13.10+TB 24.1). Works like a charm. I removed the Google Task extension I used until know.

Thanks a lot for this good job.
Comment 111 Pepa 2013-11-20 00:17:58 PST
Version 3 on Tb 24.1.0 Lightning 2.6.2.
On all calendars I have full access, no invitations involved, just tasks I've created myself.

Have 2 calendars in the old format (https://www.google.com/calendar/feeds/session-id/public/basic and https://www.google.com/calendar/feeds/session-id/privateId/basic). The tasks on the main calendar show up double, one for each calendar. When trying to delete ones on the main feed, nothing happens, when trying to delete the ones from the secondary feed, it says:
Timestamp: 13-11-20 12:08:03 AM
Error: An error occurred when writing to the calendar OMF-BC! Error code: MODIFICATION_FAILED. Description: 
Source File: resource://calendar/modules/calUtils.jsm -> file:///home/pp/.thunderbird/kqn7uoxd.default/extensions/%7B[...]%7D/calendar-js/calCalendarManager.js
Line: 961

When adding the main calendar in the new format (googleapi://session-id/), it doesn't show any events or tasks, also after restarting Thunderbird. The error I'm getting is:
Timestamp: 13-11-20 12:13:13 AM
Error: [Exception... "Component returned failure code: 0x8007000e (NS_ERROR_OUT_OF_MEMORY) [calIRecurrenceItem.getOccurrences]"  nsresult: "0x8007000e (NS_ERROR_OUT_OF_MEMORY)"  location: "JS frame :: resource://calendar/modules/calUtils.jsm -> file:///home/pp/.thunderbird/kqn7uoxd.default/extensions/%7B[...]%7D/calendar-js/calRecurrenceInfo.js :: cRI_calculateDates :: line 495"  data: no]
Source File: resource://calendar/modules/calUtils.jsm -> file:///home/pp/.thunderbird/kqn7uoxd.default/extensions/%7B[...]%7D/calendar-js/calRecurrenceInfo.js
Line: 495
Comment 112 Michael A. Koenecke 2013-11-20 07:17:51 PST
I tried the new version (0.29-3), and my calendar and tasks list went entirely blank. Stopped synching completely, and I could not add any events or tasks. Here is the error:

Timestamp: 11/20/2013 9:09:49 AM
Error: 2013-11-20 09:09:49	gloda.datastore	ERROR	got error in _asyncTrackerListener.handleError(): 19: constraint failed

Source File: resource:///modules/gloda/log4moz.js
Line: 688

Went back to 0.29-1 (original beta with task synching capability) and it is working again, but only when I use the "new format" URL. The old format does not even request approval to access the calendar (although, oddly enough, it *did* ask for approval on the new beta - it just did not pull any information).
Comment 113 Philipp Kewisch [:Fallen] 2013-11-20 12:29:01 PST
Michael, what Thunderbird version are you using? Could you enable calendar.debug.log and calendar.debug.log.verbose, restart, and try again? That should give you more debug messages. Also, could you set javascript.options.showInConsole to true in the config editor?

Pepa, the recurrence info error looks like its specific to a certain event you have in your calendar. This is a bit harder to debug via comments. If you don't have confidential information in that calendar, could you export the calendar via the Google Calendar UI and send me the file via email?
Comment 114 Pepa 2013-11-21 14:58:47 PST
Thunderbird got upgraded to 24.1.1 and all calendars turned up empty. I'm going to do calendaring in the cloud for now... Sorry Phillip, I appreciate all your hard work.
Comment 115 Michael A. Koenecke 2013-11-21 15:12:01 PST
Thunderbird Version 24.1.1. I enabled those configuration changes. Removed 0.28-1. Deleted my calendar. Installed 0.28-3. Added my calendar with same access string:

googleapi://[my gmail address]/?calendar=[my gmail address]&tasks=MDk0MTU5MTMyMDQ4NjQ5NzM0Nzk6MDow

No prompt to allow access to calendar, and one error listed:

Timestamp: 11/21/2013 5:07:59 PM
Error: [Exception... "Component returned failure code: 0x80004001 (NS_ERROR_NOT_IMPLEMENTED) [nsIMsgIncomingServer.performBiff]"  nsresult: "0x80004001 (NS_ERROR_NOT_IMPLEMENTED)"  location: "JS frame :: chrome://messenger/content/msgMail3PaneWindow.js :: loadStartFolder :: line 808"  data: no]
Source File: chrome://messenger/content/msgMail3PaneWindow.js
Line: 831

The calendar and tasks are completely blank.
Comment 116 Phil Dibowitz 2013-11-21 16:44:52 PST
OK, so I upgraded to the latest version and my calendars and task list are all blank. I'm simply using googleapi://<email>/ as my URL.

I also tried to use the old 'private url' and that didn't work either. Attached logs are from the googleapi URL though.

Error Console:
[calCachedCalendar] Performing playback operation add on 0 items to Google
[calCachedCalendar] Performing playback operation modify on 0 items to Google
[calCachedCalendar] Performing playback operation delete on 0 items to Google
Warning: attempting to write 7240 bytes to preference syncState. This is bad for general performance and memory usage. Such an amount of data should rather be written to an external file.

Debug logs:
[calBackendLoader] Using libical backend at /usr/lib/thunderbird/extensions/{e2fda1a4-762b-4020-b5ad-a41df1933103}/components/libical.manifest
[calTimezoneService] using /usr/lib/thunderbird/extensions/{e2fda1a4-762b-4020-b5ad-a41df1933103}/timezones.sqlite
[calTimezoneService] timezones version: 1.2013d
enigmail.js: Registered components
mimeVerify.jsm: module initialized
[calGoogleCalendar] Creating session phil@ipom.com
[calCachedCalendar] Performing playback operation add on 0 items to Google
[calCachedCalendar] Performing playback operation modify on 0 items to Google
[calCachedCalendar] Performing playback operation delete on 0 items to Google
[calCachedCalendar] Doing changelog based sync for calendar googleapi://phil@ipom.com/
[calGoogleCalendar] Adding item https://www.googleapis.com/calendar/v3/users/me/calendarList/phil@ipom.com to queue
[calGoogleCalendar] Logging in session phil@ipom.com
[calGoogleCalendar] No access token for phil@ipom.com, refreshing token
[calGoogleCalendar] Adding item https://www.googleapis.com/calendar/v3/calendars/phil%40ipom.com/events to queue
[calGoogleCalendar] Adding item https://www.googleapis.com/tasks/v1/lists/%40default/tasks to queue
[calAlarmService] Starting sleep monitor.

Thunderbird 24.1.1 on Ubuntu Linux 12.04
Comment 117 Philipp Kewisch [:Fallen] 2013-11-22 00:15:17 PST
I think this might be unrelated to the provider. Could you try disabling enigmail, and possibly other extensions? Aside from that the messages look fine. Is that all you get, or is there more?
Comment 118 Phil Dibowitz 2013-11-22 00:34:10 PST
I just disabled all other extensions and I still have a blank calendar. And yeah, those are all the messages.
Comment 120 Phil Dibowitz 2013-11-22 01:06:31 PST
Oh, there's a bunch of warnings in the error console about dropping -moz-border-radius and -filter' in the CSS ... but it looks like they're for accounts.google.com:

Timestamp: 11/22/2013 12:54:15 AM
Warning: Error in parsing value for 'filter'.  Declaration dropped.
Source File: https://ssl.gstatic.com/accounts/o/3518894134-aspen_approval_page_css_ltr.css
Line: 1, Column: 15031

Timestamp: 11/22/2013 12:54:15 AM
Warning: Error in parsing value for 'background-image'.  Declaration dropped.
Source File: https://accounts.google.com/o/oauth2/auth?response_type=code&client_id=647770275422.apps.googleusercontent.com&redirect_uri=http%3A%2F%2Flocalhost&scope=https%3A%2F%2Fwww.googleapis.com%2Fauth%2Fcalendar%20https%3A%2F%2Fwww.googleapis.com%2Fauth%2Ftasks
Line: 32, Column: 10783


Then I tried adding an event to see how that would go:

[calGoogleCalendar] Adding item https://www.googleapis.com/calendar/v3/calendars/phil%40ipom.com/events to queue
Warning: attempting to write 7196 bytes to preference syncState. This is bad for general performance and memory usage. Such an amount of data should rather be written to an external file.
Warning: attempting to write 7192 bytes to preference syncState. This is bad for general performance and memory usage. Such an amount of data should rather be written to an external file.

And of course it never actually shows up on the calendar (locally or in google)

Maybe that helps?
Comment 121 Philipp Kewisch [:Fallen] 2013-11-23 15:18:15 PST
Hello Folks,

sorry for the failures in v3. Here is a new version that fixes the login/blank calendar issues:

http://bit.ly/1epRP6J (v4)

If you are new to this thread, please read comment 109 for more details.
Comment 122 Phil Dibowitz 2013-11-23 17:33:47 PST
v4 works great for me! tasks, calendar, everything. Thanks!
Comment 123 Spip5 2013-11-23 21:28:02 PST
Hello Phillip,

* What version (see download link) are you using?
Already installed: your regular 0.25
Test version: v4

* What are the exact steps to reproduce?
- Install v4
- Reboot TB. I Had many instances who loaded at restart ! One with the usual TB view, 12 (same number as my synchronized calendars) with "Google Calendar 3d party" windows: http://tinyurl.com/pvxt5ax
- I agree with all the "Google Calendar 3d party" windows.
- I just can see my 2 "offline mode" synchronized calendars: http://tinyurl.com/q88ek6z . Plus, one of my own synchronized calendar turn on read only mode ("Courses & Co", see its lock on the left side of screenshot).
- I uninstalled your plugin.
- Reboot TB
- Install your regular plugin 0.25.
- Reboot TB
- Everything reappear and my "Courses & Co" calendar unlock by itself: http://tinyurl.com/oyrxgr5

* What Errors do you get in the Error Console (Tools Menu)
A LOT !
http://tinyurl.com/petsq37

* Does the same error show up if you remove the calendar and add it back again?
I did not try.


* Does the feature appear above in the list of things not working?
I do not think so, but I tested your v2 before (#103).

* What kind of access do you have to the calendar you are accessing?
- 9: creator
- 3: reader


 * If its about an event, is it an event you are invited to (i.e from someone else)?
No.

 * Anything else that might help me find the issue?
Long error messages seems to mention events from many dates in all calendars, that is why they are so numerous.
For instance in my error console capture are mentionned:
- At the beginning: "summary: nouvel an [...] Jours Fériés en France" = "Title: new year day [...] Days off in France". "Days of in France" is one of my calendar (read only mode, renamed by me as "Jours fériés" on my first screenshot).
- At the end: "summary: [masked field by myself] dod_arena [...] description: maps: \tdods_avalanche -n serveur(s): \t91.121.81.9:27075 [masked field by myself] adversaires LFDR [...] X-MOZ CATEGORIES: Compétitions". It is a very old event, mentionning in my description a game (dod = Day of Defeat) I used to play online. I checked in TB: It is about 17 october 2007 (maybe the date mentionned on the log file, november 2010, is not the same because I used to have only an offline calendar, then I copied all my past and futur events to an online one, years ago, might be in november 2010). The important thing it is that it does not correspond exactly to the 1st event I created (22 september 2007). So, errors seems to concern many events, but not completely ALL of them.


I hope it might help.
Comment 124 John L. Galt 2013-11-26 23:48:28 PST
(In reply to Philipp Kewisch [:Fallen] from comment #108)
> (In reply to John L. Galt from comment #106)
> > Philipp, 
> > 
> > I notice that there is an auto-built ver 0.29 that corresponds to the latest
> > Thunderbird Daily channel builds.  Is this plugin that you released
> > compatible with those builds?
> When this hits the repositories there will be two versions, one for tb24 and
> one for tb25+. There was a change with http.jsm which makes the one I linked
> here incompatible to the tb25+. Its a change of only a few lines, I can
> probably make it compatible to both versions in one.

That would be *awesome*.  I can't test until compatibility for 25+ enters, as I strictly se the Daily specials :D
> 
> > 
> > Furthermore, I use the x64 client as opposed to the x86 client, and gdata is
> > built for both architectures.  I'm assuming the above linked file is x86
> > only, or will the same file now be usable in both architectures?  In not,
> > I'll wait until an x64 version is built before upgrading.
> The one linked here is compatible to any architecture, any platform. There
> are no binary parts. If you came to this conclusion because the ftp servers
> have one gdata-provider.xpi in each platform folder, I just did this to make
> it easier for release automation.

Ahhh, that makes sense.  I was wondering about that.
Comment 125 John L. Galt 2013-11-26 23:50:05 PST
And immediately after your reply to me is the new version for TB25+ - Off to test :D
Comment 126 John L. Galt 2013-11-27 01:53:56 PST
Tested with 2 regular Google accounts and 4 Google Apps accounts - happy to say I did nto encounter a single problem, thus far.

Test Scenario:  

In TB, create new task called test, with due date of next hour of current date, Marked as Needs action, and entered random keystrokes in desc.

In Google Calendar interface on browser, verified task exists, then mark as completed.

Back in TB, verified that task is marked completted, then deleted task.

Back in browser, verified task has been removed.

Couple of questions:

1)  I see a few buttons - Mark completed (with a drop down offering incrememnts of 25%), and Priority (H/M/L) and neither of them seem ot do anything - with priority, nothing happened, and with mark completed, only 0 or 100% were selectable. Are those for future enhancements?
Comment 127 John L. Galt 2013-11-27 01:58:34 PST
(In reply to John L. Galt from comment #126)

2)  I use TFA on all 6 accounts.  Normally, for my regular Google account, in my browser, I can specify that I don't want to be asked again to verify the account using TFA, but for the Google Apps accounts, it defaults to 30 days only (I set them up that way on purpose).  Now, will there ever be a timeout for the GData using the API, or will it stick across all six accounts?

Or, would it be better for me to make a special password for the gdata app in my TFA setup for each account so that I don't have to bother whether or not TFA will pose a problem further down the road?  (Probably the best solution, but just for S&G I'll test with TFA for a while and see how it goes)
Comment 128 Martin F. 2013-11-27 14:53:28 PST
I cannot see any calendar data or a relevant error-message it seems.
User agent: Mozilla/5.0 (Windows NT 6.1; rv:28.0) Gecko/20100101 Firefox/28.0 SeaMonkey/2.25a1
Build identifier: 20131127003001

* What version (see download link) are you using?
v4

* What are the exact steps to reproduce?
fresh install of SM2.25a1, Lightning 3.0a and v4 of provider

* What Errors do you get in the Error Console (Tools Menu)
Error: DEPRECATION WARNING: nsIContentPrefService is deprecated. Please use nsIContentPrefService2 instead.
You may find more details about this deprecation at: https://developer.mozilla.org/en-US/docs/XPCOM_Interface_Reference/nsIContentPrefService2
chrome://communicator/content/viewZoomOverlay.js 57 FullZoom_init
chrome://communicator/content/viewZoomOverlay.js 339 registerZoomManager
null 0 null

Source File: resource://gre/modules/Deprecated.jsm
Line: 79

* Aside from the Errors, are there Messages in the Error Console that are relevant?
Warning: Use of Mutation Events is deprecated. Use MutationObserver instead.
Source File: chrome://calendar/content/widgets/calendar-widgets.xml
Line: 496

* Does the same error show up if you remove the calendar and add it back again?
yes

* Does the feature appear above in the list of things not working?
The calendar does not display any events or tasks.

* What kind of access do you have to the calendar you are accessing?
it's my main google calendar, full access I guess.

googleapi://lalala@gmail.com/?calendar=lalala@gmail.com&tasks=NAB6MDI3NTM5Mfh3Nxy7ODgxMKI6MDow (lalala is a placeholder for my real address, the taskID has lot's of replaced characters, too)
Comment 129 John L. Galt 2013-11-27 16:00:04 PST
BTW, all of my comments from yesterday are using v3.  I'm installing v4 now.
Comment 130 Michael A. Koenecke 2013-12-01 16:13:49 PST
Argh. Now I cannot get v.4, or even v.27, to connect to a calendar at all.

Timestamp: 12/1/2013 6:07:30 PM
Error: [Exception... "[xpconnect wrapped nsIURI]"  nsresult: "0x804b000a (NS_ERROR_MALFORMED_URI)"  location: "JS frame :: resource://calendar/modules/calUtils.jsm -> file:///C:/Data/Programs/Thunderbird/Profiles/Mike/extensions/%7Ba62ef8ec-5fdc-40c2-873c-223b8a6925cc%7D/js/calGoogleCalendar.js :: calGoogleCalendar.prototype.uri :: line 214"  data: no]

Timestamp: 12/1/2013 6:07:10 PM
Error: [Exception... "Component returned failure code: 0x80004001 (NS_ERROR_NOT_IMPLEMENTED) [nsIMsgIncomingServer.performBiff]"  nsresult: "0x80004001 (NS_ERROR_NOT_IMPLEMENTED)"  location: "JS frame :: chrome://messenger/content/msgMail3PaneWindow.js :: loadStartFolder :: line 808"  data: no]
Source File: chrome://messenger/content/msgMail3PaneWindow.js
Line: 831

It is not even asking for access to my Google calendar, so I expect things are getting fouled up by a bunch of cached information. I may have to try creating a whole new profile or something.
Comment 131 Achilleas 2013-12-03 02:51:09 PST
Thunderbird: 24.1.1
Lightning: 2.6.3
Provider: 0.29tasks-v4
OS: Arch Linux x64

Everything working perfectly since I installed the new provider on Friday. The recent burst of activity and working task sync made me return to Thunderbird from Kmail and I'm happy I did. Great work Philipp.

I know "me too"s are usually redundant (and annoying) on bug trackers, especially since it's working for me, but I figured in this case it might be useful since we're testing.
Comment 132 Phil Dibowitz 2013-12-04 00:59:10 PST
I've been running v4 since the day you posted it and it was working great, but all my calendar entries disappeared. New events created on the site appear in TB, but are gone on the next restart. I sent you logs directly yesterday. Posting here mostly incase others run into a similar issue.
Comment 133 Todd 2013-12-04 20:20:36 PST
I've been running v4 shortly after you released it.  But I've found that after I leave my client open for some amount of time I am unable to add events to the calendar or to dismiss or postpone pop-ups alerting me to upcoming events.  When I restart Thunderbird something must correct itself as I am able to do all of this.  I don't see any errors that appear related to these problems in the error log.
Comment 134 Phil Dibowitz 2013-12-16 09:37:46 PST
So my auth problem went away and my calenar is back, but I now have the problem Todd describes in #133... I can't dismiss calendar entries if TB has been running fir a while.
Comment 135 Achilleas 2013-12-19 04:55:23 PST
I get the same problem as Todd describes in #133. Calendars are unresponsive and reminders cannot be dismissed when Thunderbird has been running for several hours.

Calendar synchronisation is especially prone to breakage if one suspends and resumes with Thunderbird running. This is actually where I notice it the most. It's hard to say exactly how long you need to be running for this to occur since I'm not changing events that frequently, but it's quite common to resume from an overnight suspend and get reminders that can't be dismissed and try to add/remove/modify events with no response.

I'll grab a debug.log and get back to you.
Comment 136 Achilleas 2013-12-21 06:39:18 PST
Resumed from an overnight suspend and now I can't schedule events, as mentioned before. 
Error console output follows:
[code]
[calGoogleCalendar] Adding item fdsfsfsdf
[calGoogleCalendar] Adding item https://www.googleapis.com/calendar/v3/calendars/<calendarID>%40group.calendar.google.com/events to queue
[calGoogleCalendar] The OAuth token for <emailaddress> will expire in the next -68175 seconds, refreshing
[calGoogleCalendar] Adding item Test event
[calGoogleCalendar] Adding item https://www.googleapis.com/calendar/v3/calendars/<calendar2ID>%40group.calendar.google.com/events to queue
[calGoogleCalendar] Adding item Third test event
[calGoogleCalendar] Adding item https://www.googleapis.com/calendar/v3/calendars/<calendarID>%40group.calendar.google.com/events to queue
[calCachedCalendar] Performing playback operation add on 0 items to Personal tasks
[calCachedCalendar] Performing playback operation modify on 0 items to Personal tasks
[calCachedCalendar] Performing playback operation delete on 0 items to Personal tasks
[calCachedCalendar] sync in action/pending.
...
[/code]
The last 4 lines repeat for each calendar and task list, always with "0 items".
fdsfsfsdf, "Test event" and "Third test event" are three events I tried to add (first and third on one calendar and the second on a different one).

Does the third line mean that the authentication token expires and it fails to renew?

I also noticed that upon restarting Thunderbird, all calendar events are parsed again and the calendars are built from scratch. Is that normal? It seems to create a lot of hard drive activity that can hang Thunderbird for a while if there are a lot of events.
Comment 137 Michael A. Koenecke 2013-12-21 19:35:51 PST
Re: "I also noticed that upon restarting Thunderbird, all calendar events are parsed again and the calendars are built from scratch. Is that normal? It seems to create a lot of hard drive activity that can hang Thunderbird for a while if there are a lot of events."

That is what has been bothering me: Thunderbird now grinds away on the hard drive for ten minutes or so upon start up, not only making Thunderbird temporarily unusable but slowing the entire system. Something is very wrong here.
Comment 138 Todd 2013-12-21 19:37:20 PST
Wanted to add my 2 cents to the thrashing or reloading of calendar from scratch.  I was going to wait until the authentication issue was resolved before I mentioned this because I thought that it might be related to extra logging.  But I have noticed a serious increase in CPU time devoted to Thunderbird and the constantly flashing calendar which looks like it's represented every time open the calendar tab.  There's a definite flickering occurring but this may be related to loss of authorization.
Comment 139 Todd 2014-01-03 14:22:49 PST
As of yesterday I started getting auth screens in mid-session.  Happened again today after a couple hours of having TB open.  I didn't count them but I'm assuming 1 per calendar.
Comment 140 Oh, ein Benutzer 2014-01-04 12:39:56 PST
Using 0.29task-V4 with TB24.2 I have no auth problems, no auth screens (except expected), wait some time until my calendar load AND can only add tasks in TB, these are synced to google, fine. No tasks made with google are synced to TB. 

Sync log (no tasks which where created in the web are received)
[calGoogleCalendar] Requesting GET https://www.googleapis.com/tasks/v1/lists/%40default/tasks?maxResults=50
[calGoogleCalendar] Request GET https://www.googleapis.com/tasks/v1/lists/%40default/tasks?maxResults=50 responded with HTTP 200
[calGoogleCalendar] Parsing 50 received tasks
[JavaScript Error: "Error parsing JSON tasks stream(resource://gdata-provider/modules/gdataUtils.jsm:691):ReferenceError: Services is not defined"]
[JavaScript Error: "[calGoogleCalendar] Error parsing tasks sync response (resource://gdata-provider/modules/gdataUtils.jsm:691):ReferenceError: Services is not defined"]
[calGoogleCalendar] Error syncing tasks:
undefined:Services is not defined

Making a task in TB works fine (it's shown in the web)
[calGoogleCalendar] Requesting POST https://www.googleapis.com/tasks/v1/lists/%40default/tasks
[calGoogleCalendar] Request POST https://www.googleapis.com/tasks/v1/lists/%40default/tasks responded with HTTP 200

Deleting that task immidiately works
[calGoogleCalendar] Requesting DELETE https://www.googleapis.com/tasks/v1/lists/%40default/tasks/MDY4NDQxNjk2MzY5ODY3NzU5MjI6MDoxNzE3Mzk2NjYy
[calGoogleCalendar] Request DELETE https://www.googleapis.com/tasks/v1/lists/%40default/tasks/MDY4NDQxNjk2MzY5ODY3NzU5MjI6MDoxNzE3Mzk2NjYy responded with HTTP 204

Changing a in TB created task in google and then deleting in TB shows the normal "changed on server 
message" and offers a working reload ...

Hm ...
Comment 141 internero 2014-01-09 10:41:33 PST
Using 24.2.0 + 0.29task-V4

After I manually recreate tasks, everything is ok.

It was not possible to just change from a local calendar to a google calendar with tasks enabled:

[calGoogleCalendar] Request POST https://www.googleapis.com/tasks/v1/lists/<id>/tasks responded with HTTP 400
 ----------
[calGoogleCalendar] A request Error Occurred. Status Code: 400 Bad Request Body: {
 "error": {
  "errors": [
   {
    "domain": "global",
    "reason": "invalid",
    "message": "Invalid Value"
   }
  ],
  "code": 400,
  "message": "Invalid Value"
 }
}

 ----------
Erro: [calGoogleCalendar] Adding Item item description here failed:2147746065: (new String("A request Error Occurred. Status Code: 400 Bad Request Body: {\n \"error\": {\n  \"errors\": [\n   {\n    \"domain\": \"global\",\n    \"reason\": \"invalid\",\n    \"message\": \"Invalid Value\"\n   }\n  ],\n  \"code\": 400,\n  \"message\": \"Invalid Value\"\n }\n}\n"))
 ----------
Aviso: [calCachedCalendar] Unable to perform playback action add to the server, will try again next time (null,A request Error Occurred. Status Code: 400 Bad Request Body: {
 "error": {
  "errors": [
   {
    "domain": "global",
    "reason": "invalid",
    "message": "Invalid Value"
   }
  ],
  "code": 400,
  "message": "Invalid Value"
 }
}
)

Another little bug is that after resync a task with empty name (appears in list as "sem nome" in pt_BR version) is created in every calendar with tasks enabled.

I think this can be an exception in sync code. 

Google keeps an empty task for quick create a new one and the plugin think it is a new task and then syncs it.


Philipp, you did an awesome work! Thanks a lot!
Comment 142 Alex Oreshkin 2014-03-18 11:23:21 PDT
Using .29tasks-v4 and thunderbird 28 with lightning 3.0b1

Tasks are syncing good but a problem exists.

I have three separate Google calendars, I have tasks only in one calendar. However these tasks from calendar #1 are attributed to belonging to calendar #2 and #3.

I suspect this is because when it asks for Google Auth it asks for the account that is signed on and cannot handle more than one.
Comment 143 Philipp Kewisch [:Fallen] 2014-03-18 12:29:09 PDT
Alex, are you using the new URI format from comment 88? This will help you set up tasks for a specific calendar, or calendars that only contain events.
Comment 144 Todd 2014-03-18 14:18:05 PDT
I'm still having problems adding, changing, deleting and snoozing events after TB has been running a while.
Comment 145 Alex Oreshkin 2014-03-19 02:15:23 PDT
(In reply to Philipp Kewisch [:Fallen] from comment #143)
> Alex, are you using the new URI format from comment 88? This will help you
> set up tasks for a specific calendar, or calendars that only contain events.

I was not, but after implementing the new URI format the error persists.

I believe the issue is with Thunderbird loading a google auth page, which authorizes under accountA. When adding accountB I am not asked to authorize, it simply infers accountA authentication. A possible cause for this is that I am using "thunderrtabs" to run a google voice tab within TB, which keeps me logged in to  accountA.

Back to the bug - I attempted to add a second calendar after deleting all of them and starting over. The second calendar would not add, but a second list of duplicate tasks would. I attempted using the URI that did not have the taskid and the issue was the same. I attempted using XML link from calendar properties and the issue persisted.

I looked at the error console at this point and found one error that seems relevant to the problem at hand:

[JavaScript Error: "[calCachedCalendar] replay action failed: null, uri=googleapi://session-id/?calendar=accountB, result=[object Object], op=[xpconnect wrapped calIOperation]"]

Following this and my inability to add calendars from accountB and accountC calendars I uninstalled the .29v4 and installed a stable version of provider and then added back my calendars using XML url and upgraded back to .29v4. My calendars were functioning once more, with accountA using new URI and accountB+C using XML address. However, as initially reported, the tasklist from accountA was tied to accountB and accountC. The failure to bring up a new authentication window and force a new login/auth upon adding a new calendar seems to be the heart of the issue. AccountB and accountC do not have a chance to log in.
Comment 146 Philipp Kewisch [:Fallen] 2014-03-21 02:56:21 PDT
*** Bug 556748 has been marked as a duplicate of this bug. ***
Comment 147 Herm 2014-07-14 08:07:09 PDT
Appears v4 behaves as gdata-provider when accepting invitations.  Invitation is saved locally, but cannot be saved or edited and saved to a Google calendar.  Events must be created manually to sync to a google calendar.
Comment 148 Matthew Mecca [:mmecca] 2014-07-20 09:57:43 PDT
Due dates aren't working as expected using v4 - they end up set to the UTC offset from midnight of the date as entered. It looks like due dates may only be partially supported: on the Google web interface you can select a due date but not a time. When creating the task in Lightning there is no error in the console, but any time portion is silently dropped leaving it as midnight + UTC offset, which for me shifts the due date back to the previous date.
Comment 149 Matthew Mecca [:mmecca] 2014-07-20 10:01:06 PDT
*** Bug 1037865 has been marked as a duplicate of this bug. ***
Comment 150 Horst 2014-07-26 06:29:19 PDT
I successfully use v4 but now the actual gdata provider version 0.32 is found
by the Thunderbird Add-on checker as an update.
How can I prevent updating to this version which does not support tasks ?
Comment 151 Philipp Kewisch [:Fallen] 2014-07-26 10:07:22 PDT
Here is v5, which is v4 but with a higher version number that will fix the upgrade issues:

http://bit.ly/1o2cEGV

I haven't had a chance to look into the above issues, sorry. This next on my list though, as I need to have a working version before November.
Comment 152 Stephen Schaub 2014-08-29 07:08:02 PDT
Just tried out v5. Very happy to see the work Philipp has done on this!

Added a Google calendar and experimented with adding tasks both via TB and Google. Synchronization worked well until I tried the following:
1. Disconnect laptop from network
2. Add a task in TB
3. Reconnect to network
4. Attempt to sync

Expected: Task appears in Google
Actual: Task does not appear in Google.

Restarted TB, tried additional sync. Seeing the following in the error log:


[calCachedCalendar] Performing playback operation add on 3 items to Clemson
[calGoogleCalendar] Adding item Add during airplane
[calGoogleCalendar] Requesting POST https://www.googleapis.com/tasks/v1/lists/%40default/tasks
[calGoogleCalendar] Setting Upload Data (application/json; charset=UTF-8):
{"id":"<snip>","title":"Add during airplane","status":"needsAction"}
[calGoogleCalendar] Request POST https://www.googleapis.com/tasks/v1/lists/%40default/tasks responded with HTTP 400
[calGoogleCalendar] A request Error Occurred. Status Code: 400 Bad Request Body: {
 "error": {
  "errors": [
   {
    "domain": "global",
    "reason": "invalid",
    "message": "Invalid Value"
   }
  ],
  "code": 400,
  "message": "Invalid Value"
 }
}
[JavaScript Error: "[calGoogleCalendar] Adding Item Add during airplane failed:2147746065: (new String("A request Error Occurred. Status Code: 400 Bad Request Body: {\n \"error\": {\n  \"errors\": [\n   {\n    \"domain\": \"global\",\n    \"reason\": \"invalid\",\n    \"message\": \"Invalid Value\"\n   }\n  ],\n  \"code\": 400,\n  \"message\": \"Invalid Value\"\n }\n}\n"))"]
[JavaScript Warning: "[calCachedCalendar] Unable to perform playback action add to the server, will try again next time (null,A request Error Occurred. Status Code: 400 Bad Request Body: {
 "error": {
  "errors": [
   {
    "domain": "global",
    "reason": "invalid",
    "message": "Invalid Value"
   }
  ],
  "code": 400,
  "message": "Invalid Value"
 }
}
)"]
Comment 153 Philipp Kewisch [:Fallen] 2014-08-29 16:01:44 PDT
sschaub and internero, I found your issue, thanks for the report. Offline added tasks were not being added correctly, unfortunately I had to revert to a few hacks to get it working.

Matt, thanks for the report on due dates. I've put it on my TODO list to remove the due time from the events dialog using the overlay.

Alex, please make sure you are using the right urls. The "session-id" part is not a fixed string and I bet this is why its not working for you. For each different account, please use a unique string. You could use session1, session2, session3 or maybe the account email you are logging in with. This will of course be easier in the final version where a dialog will guide you through it.

Herr Benutzer, I've added the missing import. I would particularly like to hear from you if the new version resolves your issue.

All, please also test how invitations are handled now, the hacks mentioned could affect this and I haven't had a chance to test this.

Note I am not sure the authentication issues are cleared. I tested by making the token expire and by changing it to send an invalid token and the provider handled these cases gracefully, but I didn't explicitly change anything and I've heard a lot of reports. We have similar issues with Google via CalDAV which also uses OAuth2, so I suspect this might be the same core issue.


Here is the new download link: http://bit.ly/VWjffx
Comment 154 Phil Dibowitz 2014-08-29 18:55:34 PDT
Tested the new revision, thanks :Fallen

I still get the same bug though - once TB has been open more than a half our or so I can no longer make changes. New events don't show up, I can't dismiss any reminders that pop-up, etc.
Comment 155 Horst 2014-08-30 01:25:40 PDT
The v6 version is a mess for me.
It doesn't even have the choice for a Google Calendar in the new calendar settings ?
So I reverted to version 5 which works fine for me.
Comment 156 Philipp Kewisch [:Fallen] 2014-08-30 03:19:08 PDT
Phil, I've been able to reproduce your issue. It seems the queue doesn't know that a reauth occurred. It might take a little longer to fix this since I need to wait about an hour each time or find a way to trigger the error, but I hope to fix this on Monday.


Horst, you are right, for some reason the choice in the new calendar dialog doesn't work. I'll fix this in v7. In the meanwhile, you can create the calendars with v5 and then upgrade to v6. Your calendars will remain in place.
Comment 157 Horst 2014-08-30 05:21:00 PDT
(In reply to Philipp Kewisch [:Fallen] from comment #156)
> 
> Horst, you are right, for some reason the choice in the new calendar dialog
> doesn't work. I'll fix this in v7. In the meanwhile, you can create the
> calendars with v5 and then upgrade to v6. Your calendars will remain in
> place.
I tried this first but after the upgrade Thunderbird tells me that I should select an calendar which supports tasks. The curent tasks where still displayed.
Comment 158 Philipp Kewisch [:Fallen] 2014-09-04 14:22:17 PDT
Here is v7, I've spent some time rewriting most of the code to move from callbacks to promises and use a few more modern JS features. This is a major change, which means some things might have broken along the way. Feedback is appreciated.

In terms of new features, I've added a revised new calendar wizard that obsoletes using the new URI format manually. Note that with this dialog its not possible to link an events calendar with a tasks calendar. If you subscribe to both a tasks list and a calendar, then they will show as two entries in the calendars list in Lightning. I don't see a sensible way to allow subscribing to multiple calendars and linking calendars in one step. The only thing I might add is the ability to link a subscribed task list with a subscribed calendar using the context menu.

Also new, in the events dialog, reminder values can't be set to something incorrect and I've trimmed down the visible fields in the tasks dialog. The due date issue mentioned earlier is also fixed.

I've made some changes to the conflict resolution code since Google fixed one of their issues which allowed me to simplify code. Conflicts are now handled correctly for both single and recurring events, both in the modify and delete case.

One thing I still need to take a closer look at is invitations. I've at least verified that if you have the web option enabled to automatically save invitations in the calendar and your calendar is synchronized, then the imip bar will show the correct options to accept/decline or open the event. I'm not yet sure what happens when accepting an invitation that is not in the calendar. Maybe one of you could try this out and report back. Check the log with debug options enabled to see if it uses events/import in the URL and ensure that no extra invitations are sent out by the server.

Aside from that I think this is about ready to go. Maybe a little more cleanup and I need to double check everything I have been doing also works in TB31 and maybe also TB24. Therefore, if you are on CC and haven't tested yet, please do so now and give me any feedback you might have. If you don't want to post on the bug you can also send me an email.

Here is the download link:

http://bit.ly/1BepLOQ
Comment 159 Stephen Schaub 2014-09-04 18:24:32 PDT
Just tried out v7 on TB 31.1.0 (Windows). It didn't work for me.

In both the Calendar and Tasks window, the UI flickers wildly. I tried deleting all calendars except Home, and the problem persisted.

Here are some snips from the error log:

Timestamp: 9/4/2014 9:16:03 PM
Warning: Trying to re-register CID '<snip>' already registered by file:///C:/Users/Stephen/AppData/Roaming/Thunderbird/Profiles/.../extensions/%7Be2fda1a4-762b-4020-b5ad-a41df1933103%7D/components/calWcapCalendarModule.js.
Source File: file:///C:/Users/Stephen/AppData/Roaming/Thunderbird/Profiles/42y10ydl.default/extensions/%7Ba62ef8ec-5fdc-40c2-873c-223b8a6925cc%7D/components/calWcapCalendarModule.manifest
Line: 7

Timestamp: 9/4/2014 9:16:05 PM
Error: NS_ERROR_XPC_CANT_MODIFY_PROP_ON_WN: Cannot modify properties of a WrappedNative
Source File: resource://calendar/modules/calUtils.jsm
Line: 501

Timestamp: 9/4/2014 9:18:47 PM
Error: [Exception... "Cannot modify properties of a WrappedNative"  nsresult: "0x80570034 (NS_ERROR_XPC_CANT_MODIFY_PROP_ON_WN)"  location: "JS frame :: resource://calendar/modules/calUtils.jsm :: jsDateToDateTime :: line 501"  data: no]
Source File: resource:///modules/errUtils.js
Line: 96
Comment 160 Philipp Kewisch [:Fallen] 2014-09-05 00:11:17 PDT
Ok folks, please hold. I've had another report via Email that v7 doesn't work. I'll investigate what went wrong and upload a new version.
Comment 161 Philipp Kewisch [:Fallen] 2014-09-05 05:20:52 PDT
Problem found. For some reason the build system packaged Lightning at the location where it should be packaging the gdata-provider. Therefore, v7 contained a second edition of Lightning, which is why everything is broken. Please uninstall the Provider for Google Calendar, restart, make sure Lightning works on its own(no double toolbars and alarming error messages in the console). Then you can re-install v8. If Lightning doesn't work after uninstalling, please try uninstalling Lightning and reinstalling it from addons.mozilla.org.

Here is v8: http://bit.ly/1pwxFdx
Comment 162 internero 2014-09-05 11:01:39 PDT
Tested v8.

In a new, empty installation, it worked perfectly - better than expected!

The new calendar screen is perfect! It asked for my e-mail, then showed gmail screen for logon and showed all my calendars and tasks!

I`ve added all of then and the sync was done after some minutes (my calendars are big :P).

Now I'm waiting to test syncronization after an our or two... then i'll post results.

In my work thunderbird, when I upgraded v5 to v8, TB crashed :(

I'll need to empty all calendars/tasks configurations before upgrade?

How can I retrieve some debug to post?

thanks!
Comment 163 Stephen Schaub 2014-09-05 12:00:30 PDT
v8 testing - I really like the new calendar wizard!

Here are some issues I found when testing the offline behavior of v8.

Problems deleting a task when disconnected from network:

1. Disconnect from network
2. Attempt to delete a task by right click > Delete Task. 
3. The task is not deleted. No error message appears. The following appears in the error log:

[calGoogleCalendar] Requesting DELETE https://www.googleapis.com/tasks/v1/lists/<snip>
[calGoogleCalendar] Sending request headers: ({})
[JavaScript Error: "[calGoogleCalendar] Deleting item Test Add failed:2147500036: "]
    
4. Reconnect to network.
5. Right click > Delete Task. 
6. The task is deleted
    
New Task dialog issues: 
1. Save and Close button appears to have no effect. The dialog stays open
    when Save and Close is clicked.
2. When clicking the close button in the New Task dialog, the dialog is dismissed 
    with no warning about loss of data.
    
Editing task when disconnected from network:
    
1. Disconnect from network
2. Open a task, make a change to notes, click Save and Close.
3. The dialog disappears. The following appears in the log:
    
[calGoogleCalendar] Modifying item BooBoo (master item)
[calGoogleCalendar] Requesting PUT https://www.googleapis.com/tasks/v1/lists/<snip>
[calGoogleCalendar] Setting Upload Data (application/json; charset=UTF-8):
{"id":"MDg0ODMzNjkwOTA3NzI3NzQ4MDY6MDo1NTY4MjIwNg","title":"BooBoo","notes":"Moo","status":"needsAction"}
[calGoogleCalendar] Sending request headers: ({})
[JavaScript Error: "[calGoogleCalendar] Modifying item BooBoo failed:2147500036: "]
    
4. Reopen the task. The change from step 2 has been lost with no warning. Make change again, click Save and Close.
5. Reopen the task. The change from step 4 is retained.
6. Synchronize tasks. The change is propagated correctly to Google calendar.
Comment 164 internero 2014-09-05 16:27:54 PDT
Philipp, is possible to have a section called 'Tasks' in the left pannel, just bellow 'Calendars'?

It's strange to have both ones messed up in the same 'Calendars' group.

Sorry if here is not the right place to post this and thanks for the best addon ever for TB!
Comment 165 Philipp Kewisch [:Fallen] 2014-09-06 00:42:14 PDT
internero, unfortunately I think it won't be that simple. Where would you put a calendar that supports both events and tasks? Show it twice and risk clutter? Add yet another section for both? If doing that, what happens if we support VJOURNAL entries, a new section for that? In any case, this is something to be fixed within Lightning and we will have to do this in another bug. The release of the provider will be short term and outside of any release cycle so we can't add this feature right away. I've filed bug 1063895 so we don't lose track.
Comment 166 Martin F. 2014-09-06 01:28:24 PDT
Just tried v8 with Seamonkey 2.26.1 and Lightning 3.1b1, I get the following error-messages right when trying to add a google-calendar:
Fehler: A promise chain failed to handle a rejection.

Full Message: 
Full Stack: JS frame :: resource://gre/components/nsLivemarkService.js :: LS_getLivemark/< :: line 405
JS frame :: resource://gre/components/nsLivemarkService.js :: ETAT_handleCompletion :: line 144
native frame :: <unknown filename> :: <TOP_LEVEL> :: line 0
Quelldatei: resource://gre/components/nsLivemarkService.js
Zeile: 405
Quelltext:
405

Fehler: Task.async is not a function
Quelldatei: resource://gdata-provider/modules/gdataUtils.jsm
Zeile: 717

Fehler: [Exception... "Component returned failure code: 0x80570015 (NS_ERROR_XPC_CI_RETURNED_FAILURE) [nsIJSCID.createInstance]"  nsresult: "0x80570015 (NS_ERROR_XPC_CI_RETURNED_FAILURE)"  location: "JS frame :: resource://calendar/modules/calUtils.jsm -> file:///D:/Inst-Dateien/SeaMonkeyPortable/Data/profile/extensions/%7Be2fda1a4-762b-4020-b5ad-a41df1933103%7D/calendar-js/calCalendarManager.js :: cmgr_createCalendar :: line 474"  data: no]


The calendar address being used was googleapi://myusername@gmail.com/ (my main calendar was the target)
Tested in a fresh portable SM with only Lightning and Provider installed after my regular SM failed.
Comment 167 Stefan Sitter 2014-09-06 01:38:31 PDT
(In reply to Martin F. from comment #166)
> Just tried v8 with Seamonkey 2.26.1 and Lightning 3.1b1

Your SeaMonkey version seems to old because it doesn't support Task.async. Assuming this extension was targeted for Thunderbird 31 + Lightning 3.3 you will have to use SeaMonkey 2.28 or newer.
Comment 168 Philipp Kewisch [:Fallen] 2014-09-06 03:58:50 PDT
I was hoping to support TB24 too, but I currently think this is not an option. I was able to get rid of Task.async, but there are a load of other ES6 features I have used to make the code easy to maintain and readable that are not supported. This is sad for TB24 users as they won't be able to use the Provider after November 17th, but I believe TB24 is already EOL.
Comment 169 Philipp Kewisch [:Fallen] 2014-09-06 04:28:59 PDT
*sigh* I'm going to have to bite the bullet and support TB24. I just checked the statistics dashboard and over 60% of the Provider for Google Calendar users are still running Thunderbird 24.x. This will be a real pain and I hope I will only have to release one version that supports TB24.
Comment 170 Phil Dibowitz 2014-09-06 15:09:26 PDT
A lot of people don't upgrade until their favorite exenstion upgrades... maybe you can be the forcing function for people to upgrade. :)
Comment 171 Philipp Kewisch [:Fallen] 2014-09-07 01:32:59 PDT
Yes I found out that automatic upgrades are not enabled for Thunderbird 31 yet (thanks Wayne!). I don't want to force this to happen if the Thunderbird folks don't think Thunderbird 31 is ready for automatic upgrades yet, so I'll look into making it compatible with TB24. Its better for the users anyway!
Comment 172 Philipp Kewisch [:Fallen] 2014-09-07 13:47:09 PDT
It wasn't quite as bad as expected. I've also made a few other tweaks and did a little cleanup. This version is compatible with TB24/Seamonkey 2.21 and up:

Here is v9: http://bit.ly/ZdQT2H
Comment 173 Philipp Kewisch [:Fallen] 2014-09-08 07:42:54 PDT
For those of you using the Provider for MS Exchange, there is a conflict in the new calendar dialog. I've deployed a workaround since that provider is not being actively maintained.

Here is v10: http://bit.ly/1qHeJNr


I know its only been a day, but I'm happy to hear that until now no new issues came up! I'll wait a few more days then I'll announce this as a beta to a broader circle of users. I hope to release the final version at latest towards the end of the month.
Comment 174 Phil Dibowitz 2014-09-08 08:27:33 PDT
FTR, Philipp - that provider I reported the problem with is actively maintained. It's a fork of the unmaintained Exchange provider - but the EWS fork is actively being developed... it's just that it's all happening in a beta version they've yet to push to mozilla (http://www.1st-setup.nl/wordpress/?page_id=133 for those wondering).
Comment 175 Phil Dibowitz 2014-09-08 08:45:47 PDT
Oh. Apparently that one is now also unmaintaned. :( That's a shame, it was excellent software.
Comment 176 Stephen Schaub 2014-09-08 08:55:59 PDT
Just did some testing on v10. Still seeing issues similar to those in Comment 163.
Comment 177 Phil Dibowitz 2014-09-08 09:02:07 PDT
I can confirm that v10 does indeed work around the conflict. Thanks!
Comment 178 Martin F. 2014-09-12 11:42:45 PDT
(In reply to Stefan Sitter from comment #167)
> (In reply to Martin F. from comment #166)
> > Just tried v8 with Seamonkey 2.26.1 and Lightning 3.1b1
> 
> Your SeaMonkey version seems to old because it doesn't support Task.async.
> Assuming this extension was targeted for Thunderbird 31 + Lightning 3.3 you
> will have to use SeaMonkey 2.28 or newer.

Yes, you were right. I read about TB24, that's why I assumed it should have worked in SM2.26, too. The problem with SM additionally was, that all versions to 2.29 were skipped on the release channel. This is now over as SM2.29 was shipped. But as Philipp released a new version anyway which supports older mozilla-software, I haven't tested both cases, just updated everything.

I can say that ten calendars/task lists work fine here with SM2.29 and provider v10, though I haven't tested offline-usage (not typical for this device, but another of mine)

Thanks a lot for your efforts Philipp.

PS: The dialog to choose calendars was opening up in the very top-left corner of my left screen. My Seamonkey MailNews window is on the right screen though. (the google-login was on the left screen, too, but I guess that's a browser window and therefore ok). Took my quite a few moments to figure out what happened to not be able to continue, as that window is very small, too. Maybe it would be a good idea to make it a bit bigger and (if possible) use the area where the TB or MailNews-window is. (middle or top left of that window, but at least the same screen would be nice ;-))
Comment 179 internero 2014-09-23 11:52:43 PDT
Philipp, I found some bug with Google Provider.

I use master password on TB at work and when I open TB the screen shows me some windows with no text and 2 buttons (both with no text too).

So I can't type my master passord and nothing work.

After some time Google Auth window opens up and I can type my google password and confirm the token.

Then another empty window shows up.

Erro: NS_ERROR_ABORT: User canceled master password entry
Arquivo fonte: resource://gre/components/crypto-SDR.js
Linha: 163
 ----------
Erro: NS_ERROR_ABORT: User canceled master password entry
Arquivo fonte: resource://gre/components/crypto-SDR.js
Linha: 163
 ----------
Erro: NS_ERROR_ABORT: User canceled master password entry
Arquivo fonte: resource://gre/components/crypto-SDR.js
Linha: 163
 ----------
[calGoogleCalendar] Successfully acquired a new OAuth token for internero@gmail.com
 ----------
[calGoogleCalendar] Requesting GET https://www.googleapis.com/calendar/v3/calendars/tn1ff12mkrjb61u5a5slumhqvk%40group.calendar.google.com/events?timeZone=America/Sao_Paulo&maxResults=50&showDeleted=true&syncToken=CMDvrIfc5sACEMDvrIfc5sACGAU=
 ----------
[calGoogleCalendar] Requesting GET https://www.googleapis.com/calendar/v3/users/me/calendarList/tn1ff12mkrjb61u5a5slumhqvk%40group.calendar.google.com
 ----------
[calGoogleCalendar] Request GET https://www.googleapis.com/calendar/v3/calendars/tn1ff12mkrjb61u5a5slumhqvk%40group.calendar.google.com/events?timeZone=America/Sao_Paulo&maxResults=50&showDeleted=true&syncToken=CMDvrIfc5sACEMDvrIfc5sACGAU= responded with HTTP 200
 ----------
[calGoogleCalendar] No events have been changed on Contas mensais
 ----------
[calGoogleCalendar] New sync token for Contas mensais(events) is now: CMDvrIfc5sACEMDvrIfc5sACGAU=
 ----------
[calGoogleCalendar] Request GET https://www.googleapis.com/calendar/v3/users/me/calendarList/tn1ff12mkrjb61u5a5slumhqvk%40group.calendar.google.com responded with HTTP 200
 ----------
[calCachedCalendar] replayChangesOn finished.
 ----------
[calCachedCalendar] sync queue empty.
 ----------
localfolder commonDialog localfolderInitDlg
 ----------
Erro: User canceled master password entry = NS_ERROR_ABORT
Arquivo fonte: resource://gre/components/crypto-SDR.js
Linha: 163
 ----------
Erro: User canceled master password entry = NS_ERROR_ABORT
Arquivo fonte: resource://gre/components/crypto-SDR.js
Linha: 163
 ----------
Erro: User canceled master password entry = NS_ERROR_ABORT
Arquivo fonte: resource://gre/components/crypto-SDR.js
Linha: 163
 ----------
Aviso: ReferenceError: reference to undefined property event.target._folder
Arquivo fonte: chrome://messenger/content/messenger.xul
Linha: 1
 ----------
localfolder commonDialog localfolderInitDlg
 ----------
Aviso: ReferenceError: reference to undefined property this.defaultButton
Arquivo fonte: chrome://global/content/bindings/dialog.xml
Linha: 402
 ----------
Erro: User canceled master password entry = NS_ERROR_ABORT
Arquivo fonte: resource://gre/components/crypto-SDR.js
Linha: 163
 ----------
Erro: User canceled master password entry = NS_ERROR_ABORT
Arquivo fonte: resource://gre/components/crypto-SDR.js
Linha: 163
 ----------
Erro: User canceled master password entry = NS_ERROR_ABORT
Arquivo fonte: resource://gre/components/crypto-SDR.js
Linha: 163
 ----------
localfolder commonDialog localfolderInitDlg
 ----------
Erro: User canceled master password entry = NS_ERROR_ABORT
Arquivo fonte: resource://gre/components/crypto-SDR.js
Linha: 163
 ----------
Erro: User canceled master password entry = NS_ERROR_ABORT
Arquivo fonte: resource://gre/components/crypto-SDR.js
Linha: 163
 ----------
Erro: User canceled master password entry = NS_ERROR_ABORT
Arquivo fonte: resource://gre/components/crypto-SDR.js
Linha: 163
 ----------
localfolder commonDialog localfolderInitDlg
Comment 180 Philipp Kewisch [:Fallen] 2014-09-26 15:11:08 PDT
One more version to test! I've made an extensive set of unit tests for the provider which caught some issues. I hope to have fixed the master password prompt issue mentioned by internero, it was an incarnation of bug 901329. The oauth dialog should now also be centered correctly.

I also needed to make some changes on how metadata is stored, which will likely require you to resubscribe to your calendars if you have been using one of the previous versions. If you are experiencing difficulties, please re-subscribe before posting an error report.

If there are no error reports within the next few days I will post this to the calendar blog, then release about a week later. I'd rather get this out sooner than later since the deadline is coming up quickly, so please take a moment to test this version.

Here is the link: http://bit.ly/1olb5Wt
Comment 181 Stephen Schaub 2014-09-27 04:55:16 PDT
Just did some testing on 1.0b1. Still seeing offline issues similar to those in Comment 163.

It appears that, when the first add/edit/delete operation occurs after the computer goes offline, the provider takes some time to realize that the computer is offline. Once it notices that it is offline, subsequent add/edit/delete operations are correctly performed in offline mode, and eventually when the computer goes back online, they are properly synchronized. But there is a certain time window after the computer's network connection is severed during which add/edit/delete operations are silently lost.
Comment 182 Philipp Kewisch [:Fallen] 2014-09-27 06:17:56 PDT
Stephen, do you get messages like "[calCachedCalendar] Calendar <google> is unavailable, adding item offline" when this happens? Usually the add/modify/delete operation should be retried when sending it to the server fails, but it NS_ERROR_ABORT (2147500036) is not one of the errors that triggers this. I can't do in the provider, this needs to be fixed in the Lightning code. I could imagine fixing this for Lightning 3.3.2 though.

Maybe you can send me the full logs that accumulate when you go online where the error you are getting occurs.
Comment 183 internero 2014-09-29 07:39:26 PDT
Philipp, get same error here - master password dialog shows up without texts, textbox, and with 2 unlabered buttons. 

Then TB closes itself.

Tested on 2 computers, with same erros - TB 31.1.0 (WinXP) and 31.1.2 (Win7 x64).
Comment 184 Philipp Kewisch [:Fallen] 2014-10-07 02:51:59 PDT
Hmm strange. I've tried to reproduce this by setting a master password and didn't have any issues. I tried tb24, tb31 and tb34. I suspect this may be a platform issue, but my windows machine isn't ready at the moment. I'm going to have to release without a further fix for the master password issue for now. I'm happy to look into this in a followup bug though.

Given there have not been any other major issues, I will pack things up and send it to addons.mozilla.org. This addon version will not contain locales since I added some strings and there is no time to ask localizers. I will open a new bug for the code review, once its in I can ask localizers to translate the strings at their convenience and release a new version once they are done.
Comment 185 Anton Derbenev 2014-10-07 23:21:25 PDT
2 PCs, both nearly identical with Win XP. MT 31.1.2, latest releases (auto-updated) of Lightning and Provider for Google Calendar.
Single Google account.

On first PC, oauth window (web) popped up, I logged in and Tasks started syncing (though I logged in from second try, there were cookies disabled; then I enabled them for google.com).

But on second PC, only plain old XUL *login and password for calendar* window appear, no matter what I do. Lightning doesn't deny me from typing task text (text field to add tasks isn't grayed out anymore), yet does not save anything. And does not show existing tasks.
Comment 186 pascal 2014-10-08 00:26:21 PDT
Hi, I'm french, so excuse me for my english.

I have the same problem on my XP computer in my work. Since 6 days, my thunderbird can be open when lighnight and the profider are together. To open thunderbird, I have deactivated profider module.
I have trying to delete this plugin and reinstall but anything works.
This plugin is auto-updated. I have note that this problem come since the last Lighnight update.

On my personal computer (debian) I haven't this problem.
Can help me to resolve this problem because it's actually paralyzing.

Thanks
Comment 187 Philipp Kewisch [:Fallen] 2014-10-08 01:53:16 PDT
Bonjour Pascal,

unfortunately my French is not yet good enough that I could answer in French, but I'd like to help you with this.

First of all, one workaround to get things running again is to downgrade to version 0.32 and re-subscribe to all of your calendars.

Aside from that, do I understand correctly that on startup the app is not responding? Please try waiting a long time until the dialogs calm down (20 minutes max), then you should be able to close all the login dialogs and selectively enable the calendars again one by one.
Comment 188 Philipp Kewisch [:Fallen] 2014-10-08 01:55:25 PDT
(In reply to Anton Derbenev from comment #185)
> 2 PCs, both nearly identical with Win XP. MT 31.1.2, latest releases
> (auto-updated) of Lightning and Provider for Google Calendar.
> Single Google account.
> 
> On first PC, oauth window (web) popped up, I logged in and Tasks started
> syncing (though I logged in from second try, there were cookies disabled;
> then I enabled them for google.com).
Hmm I had some users reporting this. So you disabled cookies in the Thunderbird preferences and Google was telling you that cookies are not enabled?

> 
> But on second PC, only plain old XUL *login and password for calendar*
> window appear, no matter what I do. Lightning doesn't deny me from typing
> task text (text field to add tasks isn't grayed out anymore), yet does not
> save anything. And does not show existing tasks.

Are you getting any error console messages here? Could you double check that on this machine you are actually on version 1.0? Note I've removed it from addons.mozilla.org due to a large amount of negative feedback after the release.
Comment 189 pascal 2014-10-08 02:16:00 PDT
(In reply to Philipp Kewisch [:Fallen] from comment #187)
> Bonjour Pascal,
> 
> unfortunately my French is not yet good enough that I could answer in
> French, but I'd like to help you with this.

Thanks for your answers but Google translate it's my friend ;) .

> 
> First of all, one workaround to get things running again is to downgrade to
> version 0.32 and re-subscribe to all of your calendars.
> 
I will try after waiting 30minutes.

> Aside from that, do I understand correctly that on startup the app is not
> responding? Please try waiting a long time until the dialogs calm down (20
> minutes max), then you should be able to close all the login dialogs and
> selectively enable the calendars again one by one.

With the last version of thunderbird, and lightning 3.3.1 and provider 1.0, thunderbird came but I can't consult the mail or the calendar. I have open thunderbird and I will listen 30 minutes. For the moment (5 minutes) any windows. I wait.
Comment 190 pascal 2014-10-08 02:16:25 PDT
(In reply to Philipp Kewisch [:Fallen] from comment #187)
> Bonjour Pascal,
> 
> unfortunately my French is not yet good enough that I could answer in
> French, but I'd like to help you with this.

Thanks for your answers but Google translate it's my friend ;) .

> 
> First of all, one workaround to get things running again is to downgrade to
> version 0.32 and re-subscribe to all of your calendars.
> 
I will try after waiting 30minutes.

> Aside from that, do I understand correctly that on startup the app is not
> responding? Please try waiting a long time until the dialogs calm down (20
> minutes max), then you should be able to close all the login dialogs and
> selectively enable the calendars again one by one.

With the last version of thunderbird, and lightning 3.3.1 and provider 1.0, thunderbird came but I can't consult the mail or the calendar. I have open thunderbird and I will listen 30 minutes. For the moment (5 minutes) any windows. I wait.
Comment 191 pascal 2014-10-08 02:36:54 PDT
(In reply to Philipp Kewisch [:Fallen] from comment #187)
> Bonjour Pascal,
> 
> unfortunately my French is not yet good enough that I could answer in
> French, but I'd like to help you with this.
> 
> First of all, one workaround to get things running again is to downgrade to
> version 0.32 and re-subscribe to all of your calendars.
> 
> Aside from that, do I understand correctly that on startup the app is not
> responding? Please try waiting a long time until the dialogs calm down (20
> minutes max), then you should be able to close all the login dialogs and
> selectively enable the calendars again one by one.


So, when I open thunderbird, I use 150Mo and after 25minutes, 300Mo.
I will try to downgrade the provider
Comment 192 Anton Derbenev 2014-10-08 09:14:45 PDT
> syncing (though I logged in from second try, there were cookies disabled;
> then I enabled them for google.com).

Hmm I had some users reporting this. So you disabled cookies in the Thunderbird preferences and Google was telling you that cookies are not enabled?

Exactly.
Yep, cookies were disabled in my profile, and I thought it's default. Also, I think it's expected behavior when cookies are disabled. I added google.com to exceptions list, and all started working.

> Could you double check that on this machine you are actually on version 1.0?

ehh, sorry. On 2nd, It's 0.32. Strangely, of two computers standing one next to another, only one auto-updated the provider (all setting are the same, MT profile was copied).
Comment 193 Anton Derbenev 2014-10-08 09:19:22 PDT
May I add a suggestion? Keep current GC behavior (no tasks, auth by password) for all existing users, and add another Format to Create New Calendar wizard (name old one "Google Calendar legacy auth", and new one "Google Calendar with Tasks (oauth2)").

So new users could choose whether to use new auth method (and get tasks support), or not.
And old users, who don't want to configure anything, won't even notice.
Comment 194 Philipp Kewisch [:Fallen] 2014-10-08 11:59:46 PDT
(In reply to Anton Derbenev from comment #192)
> > syncing (though I logged in from second try, there were cookies disabled;
> > then I enabled them for google.com).
> 
> Hmm I had some users reporting this. So you disabled cookies in the
> Thunderbird preferences and Google was telling you that cookies are not
> enabled?
> 
> Exactly.
> Yep, cookies were disabled in my profile, and I thought it's default. Also,
> I think it's expected behavior when cookies are disabled. I added google.com
> to exceptions list, and all started working.
Ah ok. I guess I could programatically add google to the exception list, but I'm not sure if users would be pissed about that. As long as the auth doesn't break fully I think its ok to keep it as is, version 1.0.1 should fix the remaining issues.



(In reply to Anton Derbenev from comment #193)
> May I add a suggestion? Keep current GC behavior (no tasks, auth by
> password) for all existing users, and add another Format to Create New
> Calendar wizard (name old one "Google Calendar legacy auth", and new one
> "Google Calendar with Tasks (oauth2)").
Unfortunately I can't do this, Google is shutting down the v1 API which allowed password authentication on November 17th. After that, only v3 with oauth will work.

I could use the password to retrieve an oauth token in the background, but again a privacy sensitive user might not be happy.
Comment 195 internero 2014-10-10 07:47:37 PDT
Philipp, why don't you create a 'migration wizard', to tell users that Google changed its oauth (and so on...).

I think this way is more friendly to end users - and the calendar provider can update its files, configurations, etc.

This forces the user to enter user/pass in google oauth window, informs them why this is necessary now, and remove old (and incompatible) configurations from TB.
Comment 196 Todd 2014-10-10 18:15:52 PDT
Security pop-up shown for read only calendars.
Comment 197 hans_hans74 2014-10-13 14:04:01 PDT
Hi Philipp,

really great work, the new version of the GC provider works like a charm so far. I really appreciate your work.

Just to mention it, I was surprised about the duplicated tasks first, but then I found out that this issue was mentioned here before in comment #67 and comment #68. No problem for me, though, after I know about it. For now, I just unsubscribed from the task-list (but left my main calendar).

Then, there is a feature request I wanted to leave here: Right now, the Google tasks do not support a due-time (due-date works fine!), which I use as a simple reminder time. According to the Google Developer pages [1], task can have a field "due" that takes a RFC3339 timestamp that contains also a particular time of the day. This way, it would be possible to support also due-times in the GC provider, I guess.
I really miss that feature as I use GTasks [2] on my smartphone, which also supports reminders/popups, but the task-editing dialogue of Lightning does not support setting a time (yet, hopefully). (Note: Lightning does not overwrite an already set time from the GTasks app.)

As a following step, the integration in the reminder system of Lightning (based on the due-dates AND due-times) would be really great, if possible.

Overall, no pressure, just as an idea for a feature enhancement. Thanks for your wonderful work.

-- Hans

[1] https://developers.google.com/google-apps/tasks/v1/reference/tasks#due
[2] https://play.google.com/store/apps/details?id=org.dayup.gtask


> Ubuntu 14.04, Thunderbird 31.1.2, Lightning 3.3.1, GC Provider 1.0.1
Comment 198 Philipp Kewisch [:Fallen] 2014-10-13 14:59:59 PDT
The API docs may say that a date-time is supported, and I actually do need to send one, but the time is not used at all and setting it to anything just causes trouble. You can see this in that the web ui always creates them with 000000 as the time.
Comment 199 internero 2014-10-14 12:17:03 PDT
Philipp,

My calendars (all of them: 10 calendars and 6 tasks, single google login) just showed an alert: The calendar [calendar name] is momentarily not available.

In Error Console:
...
[calGoogleCalendar] Login failed for internero@gmail.com HTTP Status: 403 Reason: variableTermLimitExceeded
...
[calGoogleCalendar] Error syncing:
2147500037:[Exception... "{
 "error": {
  "errors": [
   {
    "domain": "usageLimits",
    "reason": "variableTermLimitExceeded",
    "message": "Variable Term Limit Exceeded"
   }
  ],
  "code": 403,
  "message": "Variable Term Limit Exceeded"
 }
}
"  nsresult: "0x80004005 (NS_ERROR_FAILURE)"  location: "JS frame :: resource://gdata-provider/modules/gdataRequest.jsm :: cGR_fail :: line 220"  data: no]
...
Erro: [calCachedCalendar] replay action failed: null, uri=googleapi://[uri-string]group.calendar.google.com, result={
 "error": {
  "errors": [
   {
    "domain": "usageLimits",
    "reason": "variableTermLimitExceeded",
    "message": "Variable Term Limit Exceeded"
   }
  ],
  "code": 403,
  "message": "Variable Term Limit Exceeded"
 }
}
, op=[xpconnect wrapped calIOperation]
...


This messages repeat many times.
Comment 200 Carsten Hütter 2014-10-14 18:22:31 PDT
Hello Philipp,

same error here. Error log:

Zeitstempel: 15.10.2014 03:18:12
Fehler: [Exception... "{
 "error": {
  "errors": [
   {
    "domain": "usageLimits",
    "reason": "variableTermLimitExceeded",
    "message": "Variable Term Limit Exceeded"
   }
  ],
  "code": 403,
  "message": "Variable Term Limit Exceeded"
 }
}
"  nsresult: "0x80004005 (NS_ERROR_FAILURE)"  location: "JS frame :: resource://gdata-provider/modules/gdataRequest.jsm :: cGR_fail :: line 220"  data: no]
Quelldatei: chrome://gdata-provider/content/gdata-calendar-creation.js
Zeile: 195

Trying to delete and recreate one of the calendars leads to an empty google calendars list.
Comment 201 Antonio Miras [:AMiras] 2014-10-15 07:48:40 PDT
Same situation as internetero and Carsten Hütter.
Comment 202 Horst 2014-10-15 07:54:22 PDT
Same problem as above
Also a new download for the add-on fails.
Comment 203 [:MakeMyDay] 2014-10-18 07:25:32 PDT
*** Bug 1020355 has been marked as a duplicate of this bug. ***
Comment 204 Carsten Hütter 2014-10-21 12:43:35 PDT
After downgrading to Provider for Google Calendar 1.0pre-tasks-v5, the calendar and tasks lists are accessible again. So this looks like a feasible workaround.
Comment 205 Philipp Kewisch [:Fallen] 2014-10-21 15:12:46 PDT
I highly suspect this was coincidence, the current issues cannot be solved by downgrading to a prerelease.
Comment 206 Carsten Hütter 2014-10-22 00:53:09 PDT
I feel a bit sorry about not being precise enough.

V5 allows to enter the calendar URL, whereas 1.0b1 has a nice GUI calendar and task list to chose from. If you enter the old URL, which the google web calendar interface provides, you regain access to all your calendars. You can still use all your task lists with the new URL respectively the new google API. The only quirk is the duplication of the standard calendar task list - so you better switch this one off.

Other users told in the lightning rewiews that they had to downgrade to gdata provider 0.32, which would lead to losing the task list capability. So I think the above workaround could be helpful to others. And I suspect it not being a coincidence that I can use all my calendars currently without issues each day after the above steps taken one week ago.
Comment 207 internero 2014-10-22 06:23:46 PDT
Updated to version 1.0.2 via TB extension's autoupdate.

But, after restart: 'This version of Google Provider has expired. Please upgrade to the latest version.'
Comment 208 Spip5 2014-10-22 06:55:38 PDT
Since last autoupdate (to v1.0.2, using TB31.2.0), the problem changed.

For me, all my synchronized calendar were visibles but read only, except the first synchronized one I created, with was in grey in my calendar lists in Lightning, unticked, with events not visible in Lightning (but just fine in Google Calendar).

Since last update:
- after restart, same message as #207: 'This version of Google Provider has expired. Please upgrade to the latest version.'
- I tried to activate my first synchronized calendar (right-clic, properties). It asked me for my Google Calendar password, then to autorize the plugin to access to its informations.
- Then I finally get the error message 'The quota for xxxxxx@gmail.com has been exceeded, please try again later.'
If I try now to activate any calendar, I got the same error message, 'The quota for xxxxxx@gmail.com has been exceeded, please try again later', without TB asking me about my Google Calendar password anymore.

http://tof.canardpc.com/view/e65cf57e-c268-40a5-a5a7-baef930689ea.jpg
Comment 209 Philipp Kewisch [:Fallen] 2014-10-22 07:22:56 PDT
Does anyone who has the outdated message after the upgrade happen to have debugging prefs on and still has error console messages from just after startup? If so please send them to me.
Comment 210 Herm 2014-10-22 07:38:32 PDT
(In reply to Spip5 from comment #208)
> Since last autoupdate (to v1.0.2, using TB31.2.0), the problem changed.
> 
> For me, all my synchronized calendar were visibles but read only, except the
> first synchronized one I created, with was in grey in my calendar lists in
> Lightning, unticked, with events not visible in Lightning (but just fine in
> Google Calendar).
> 
> Since last update:
> - after restart, same message as #207: 'This version of Google Provider has
> expired. Please upgrade to the latest version.'
> - I tried to activate my first synchronized calendar (right-clic,
> properties). It asked me for my Google Calendar password, then to autorize
> the plugin to access to its informations.
> - Then I finally get the error message 'The quota for xxxxxx@gmail.com has
> been exceeded, please try again later.'
> If I try now to activate any calendar, I got the same error message, 'The
> quota for xxxxxx@gmail.com has been exceeded, please try again later',
> without TB asking me about my Google Calendar password anymore.
> 
> http://tof.canardpc.com/view/e65cf57e-c268-40a5-a5a7-baef930689ea.jpg

Unfortunately, I do not have the debugging preferences set, but can confirm the same error messages when trying to connect using the XML link.  As a work around, I tried using the iCal link to my Google calendar and this seems to work.
Comment 211 Carsten Hütter 2014-10-23 03:29:48 PDT
After installing Provider 1.0.2 everything works fine so far, error console is empty. But I still have the old *.ics url calendars activated, didn't try to import new ones or reimport the old ones via new Provider yet. Will report later.
Comment 212 hc 2014-10-23 03:51:15 PDT
After installing Provider 1.0.2 everything works fine for me.
Comment 213 internero 2014-10-23 03:51:54 PDT
Yesterday I have removed all my calendars and tasks, then closed TB.

After reopen TB, I have nothing in Lightning, so I add all my calendars and tasks again, entering my gmail and password in credentials window (as expected) to allow TB to get google tokens... Then It worked fine! No errors, no warnings... Win7 x64, TB 31.2.0, Lightning 3.3.1, Provider for Google Calendar 1.0.2 .

Herm, Spip5, Carsten and others who have seen the same problem: can you reproduce my steps and report if this solves the problem?
Comment 214 Carsten Hütter 2014-10-23 23:37:05 PDT
This morning errors again:

Zeitstempel: 24.10.2014 08:16:56
Fehler: A promise chain failed to handle a rejection. Did you forget to '.catch', or did you forget to 'return'?
See https://developer.mozilla.org/Mozilla/JavaScript_code_modules/Promise.jsm/Promise

Date: Fri Oct 24 2014 08:16:44 GMT+0200
Full Message: TypeError: this.mDeferred is null
Quelldatei: resource://gdata-provider/modules/gdataRequest.jsm
Zeile: 223
Quelltext:
223

Zeitstempel: 24.10.2014 08:16:44
Fehler: [calCachedCalendar] replay action failed: null, uri=googleapi://***.***@***.**/?tasks=***, result={
 "error": {
  "errors": [
   {
    "domain": "global",
    "reason": "required",
    "message": "Login Required",
    "locationType": "header",
    "location": "Authorization"
   }
  ],
  "code": 401,
  "message": "Login Required"
 }
}
, op=[xpconnect wrapped calIOperation]

(The google made unreadable, error message otherwise unchanged.)

Looks like the authorization got lost. I don't get any login request.
Comment 215 Carsten Hütter 2014-10-23 23:40:20 PDT
Addition: The error is gone after a SM restart.
Comment 216 Spip5 2014-10-27 05:47:07 PDT
(In reply to internero from comment #213)
> Herm, Spip5, Carsten and others who have seen the same problem: can you
> reproduce my steps and report if this solves the problem?

I prefer not to if possible: in Google Calendar, I only have 1 year synchronized past events. In my Lightning synchronized but grey and untickable calendar, I have years.

Anyway, today I tried:
- to "activate" then ticked my synchronized calendars. It works ! I did not change anything in my TB since my previous post (#208), I am still using Philipp's v.1.0.2 + TB31.2.0.
- to delete and create events: OK.
- to reboot my computer, to delete and create events: OK
- to look at my errors console: the history does not keep errors older than today. So I can not send the error corresponding to the error I had some days ago.

Problem currently solve.
Comment 217 Herm 2014-10-27 06:47:35 PDT
(In reply to internero from comment #213)

> Herm, Spip5, Carsten and others who have seen the same problem: can you
> reproduce my steps and report if this solves the problem?

This morning I was able to simply enable my Google calendar and everything seems to be working properly.  Only remaining bug that I spotted when creating an event I can "save", but not "save and close".  The "save and close" button doesn't appear to be working.  Currently using Thunderbird 36.0a1 (2014-10-26)and latest nightly for Lightning 3.8a1.
Comment 218 Spip5 2014-10-27 07:16:54 PDT
(In reply to Herm from comment #217)
> (In reply to internero from comment #213)
> > > Herm, Spip5, Carsten and others who have seen the same problem: can you
> > reproduce my steps and report if this solves the problem?
> > This morning I was able to simply enable my Google calendar and everything
> seems to be working properly.  Only remaining bug that I spotted when
> creating an event I can "save", but not "save and close".  The "save and
> close" button doesn't appear to be working.  Currently using Thunderbird
> 36.0a1 (2014-10-26)and latest nightly for Lightning 3.8a1.
The "save and close" button works fine for me. TB 31.2.0 + lightning 3.3.1.
Comment 219 Stefan Sitter 2014-10-27 08:40:40 PDT
(In reply to Herm from comment #217)
The Save+Close issue in current Trunk nightly builds is bug 1074645 and ought to be fixed in the next nightly build by the check-in for bug 1083648.
Comment 220 Josh 2014-10-28 18:44:03 PDT
I've been following this thread since build v2, thanks for this hard work!

Everything seemed to work fine with v5 (the last build I installed), however after the auto-update to 1.0.2 my calendar no longer works. My tasklist works fine. I have Google Apps for Business, and am using TB 31.2.

When I try to add the calendar I receive the following error in the error log:

Timestamp: 29/10/2014 11:49:43 AM
Error: A promise chain failed to handle a rejection.

Date: Wed Oct 29 2014 11:49:40 GMT+1100 (AUS Eastern Standard Time)
Full Message: Component returned failure code: 0x804a0100 [calIDateTime.icalString]
Source File: resource://calendar/modules/calUtils.jsm -> file:///C:/Users/Josh/AppData/Roaming/Thunderbird/Profiles/nv4wtewj.default/extensions/%7Be2fda1a4-762b-4020-b5ad-a41df1933103%7D/calendar-js/calUtils.js
Line: 19
Source Code: 19

The calendar appears on the left hand side of page and is ticked, but no events from the Google Calendar are shown in the Lightning calendar. As I said tasks are being added fine.

Happy to make any config changes you need to help debug if that helps.

Thanks
Josh
Comment 221 martin 2014-11-05 06:25:28 PST
I see a similar error as Josh from comment 220 :
Timestamp: 05.11.2014 14:45:27
Error: A promise chain failed to handle a rejection.

Date: Wed Nov 05 2014 14:45:01 GMT+0100
Full Message: TypeError: this.mDeferred is null
Source File: resource://gdata-provider/modules/gdataRequest.jsm
Line: 223
Source Code:
223
Timestamp: 05.11.2014 14:45:27
Error: A promise chain failed to handle a rejection.
And
Date: Wed Nov 05 2014 14:45:01 GMT+0100
Full Message: TypeError: this.mDeferred is null
Source File: resource://gdata-provider/modules/gdataRequest.jsm
Line: 236
Source Code:
236
Comment 222 Philipp Kewisch [:Fallen] 2014-11-18 13:34:42 PST
I've had the mDeferred error before, but I recall it was mostly in strange debugging situations and when something with the login goes wrong. If this is still a recurring issues please file a new bug and describe exactly what you were doing when it happened.

Given the base for this work is actually completed and there have already been over 220 comments on this bug, I'm going to close this bug FIXED.

For any further issues, please:

* Visit the support forum and see if there is a thread on your issue
  https://groups.google.com/group/provider-for-google-calendar
* Check the bug list for already reported issues:
  https://bugzilla.mozilla.org/buglist.cgi?quicksearch=comp%3Agdata%20prod%3Acalendar&list_id=11589703
* Either create a forum post or file new bugs for any remaining issues.

Thank you all for your support, I was delighted to have so many beta testers to communicate with. It really makes things easier and is an invaluable resource. I am thinking of creating an announce only beta testers mailing list to continue this effort in the future. I'll comment here when I get around to this.
Comment 223 Philipp Kewisch [:Fallen] 2014-12-05 06:12:03 PST
Hello gdata provider beta testers. I have a new version of the Provider available which was meant for Postbox, that likely also fixes some other issues in Thunderbird. Could you head over to bug 1106047, put yourself on CC and test the latest pre-release builds I've uploaded there? You don't need Postbox to test them, just install into Thunderbird or Seamonkey as usual. Thank you for your support!

Note You need to log in before you can comment on or make changes to this bug.